return {
    Nothing = {
        sActivityType = 'Nothing',
        sActivityUIName = "Doing Nothing",
        iconPath = 'icon_nothing',
    },
    MMNothingActivity = {
        sActivityType = 'Nothing',
        sActivityUIName = "Doing Nothing",
        iconPath = 'icon_nothing',             
    },
    MMPTJobActivity = {
        sActivityType = 'MMPTJobActivity',
        sActivityUIName = "Raising Funds",
        iconPath = 'icon_parttimejob',
        nDuration = 180,
    },
    MMMoraleActivity = {
        sActivityType = 'MMMoraleActivity',
        sActivityUIName = "STXT185TEXT",
        iconPath = 'icon_motivate',
        nDuration = 20,
        curActiveIconPath = 'activity_sheet_motivate',
    },
    MMTrainIntActivity = {
        sActivityType = 'MMTrainIntActivity',
        sActivityUIName = "STXT186TEXT",
        iconPath = 'icon_train_int',
        tTrainDuration =
        {
            {
                tRange = { 1, 3 },
                nDuration = 30,
            },
            {
                tRange = { 4, 6 },
                nDuration = 60,
            },            
            {
                tRange = { 7, 9 },
                nDuration = 120,
            },
            {
                tRange = { 10, 12 },
                nDuration = 240,
            },
            {
                tRange = { 13, 15 },
                nDuration = 480,
            },
            {
                tRange = { 16, 18 },
                nDuration = 960,
            },
            {
                tRange = { 19, 21 },
                nDuration = 1800,
            },
            {
                tRange = { 22, 24 },
                nDuration = 3600,
            },
            {
                tRange = { 25, 27 },
                nDuration = 7200,
            },
            {
                tRange = { 28, 1000 },
                nDuration = 14400,
            },
        },
        curActiveIconPath = 'activity_sheet_train_int',
    },
    MMPromoteActivity = {
        sActivityType = 'MMPromoteActivity',
        sActivityUIName = "Promoting Employee",
        iconPath = 'icon_parttimejob',
    },
    MMTrainAbilityActivity = {
        sActivityType = 'MMTrainAbilityActivity',
        sActivityUIName = "Learning Management",
        iconPath = 'icon_train_ability',
        curActiveIconPath = 'activity_sheet_train_ability',        
    },
    MMCutMeteorites = {
        sActivityType = 'MMCraftGems',
        sActivityUIName = "Cutting Meteorites",
        iconPath = 'icon_cut_meteorites',
        curActiveIconPath = 'activity_sheet_cut_meteorites',
    },
    PTJob = {
        sActivityType = 'PTJob',
        sActivityUIName = "STXT165TEXT",
        iconPath = 'icon_parttimejob',
        curActiveIconPath = 'activity_sheet_parttimejob',
    },
    Recreation = {
        sActivityType = 'Recreation',
        sActivityUIName = "STXT163TEXT",
        iconPath = 'icon_timeoff',
        curActiveIconPath = 'activity_sheet_timeoff',
    },
    Research = {
        sActivityType = 'Research',
        sActivityUIName = "STXT162TEXT",
        iconPath = 'icon_research',
        curActiveIconPath = 'activity_sheet_research',
    },
    Rest = {
        sActivityType = 'Rest',
        sActivityUIName = "STXT164TEXT",
        iconPath = 'icon_rest',
        curActiveIconPath = 'activity_sheet_rest',
    },
    Train = {
        sActivityType = 'Train',
        sActivityUIName = "STXT161TEXT",
        iconPath = 'icon_train_power',
        curActiveIconPath = 'activity_sheet_train',
        tTrainDuration =
        {
            {
                tRange = { 1, 3 },
                nDuration = 30,
            },
            {
                tRange = { 4, 6 },
                nDuration = 50,
            },            
            {
                tRange = { 7, 9 },
                nDuration = 120,
            },
            {
                tRange = { 10, 12 },
                nDuration = 240,
            },
            {
                tRange = { 13, 15 },
                nDuration = 480,
            },
            {
                tRange = { 16, 18 },
                nDuration = 960,
            },
            {
                tRange = { 19, 21 },
                nDuration = 1800,
            },
            {
                tRange = { 22, 24 },
                nDuration = 3600,
            },
            {
                tRange = { 25, 27 },
                nDuration = 7200,
            },
            {
                tRange = { 28, 1000 },
                nDuration = 14400,
            },
        },
    },
    HPTrain = {
        sActivityType = 'HPTrain',
        sActivityUIName = "STXT161TEXT",
        iconPath = 'icon_train_maxhp',
        curActiveIconPath = 'activity_sheet_train_maxhp',
        tTrainDuration =
        {
            {
                tRange = { 1, 3 },
                nDuration = 30,
            },
            {
                tRange = { 4, 6 },
                nDuration = 60,
            },            
            {
                tRange = { 7, 9 },
                nDuration = 120,
            },
            {
                tRange = { 10, 12 },
                nDuration = 240,
            },
            {
                tRange = { 13, 15 },
                nDuration = 480,
            },
            {
                tRange = { 16, 18 },
                nDuration = 960,
            },
            {
                tRange = { 19, 21 },
                nDuration = 1800,
            },
            {
                tRange = { 22, 24 },
                nDuration = 3600,
            },
            {
                tRange = { 25, 27 },
                nDuration = 7200,
            },
            {
                tRange = { 28, 1000 },
                nDuration = 14400,
            },
        },
    },
    AbilityTrain = {
        sActivityType = 'AbilityTrain',
        sActivityUIName = "STXT166TEXT",
        iconPath = 'icon_train_ability',
        curActiveIconPath = 'activity_sheet_train_ability',
    },    
}
