return {
	AlienHeal = {
        tSounds = {
            'SFX/HeroSFX/AlienHeal.wav',
        },
    },
    BandageToss = {
        tSounds = {
            'SFX/HeroSFX/BandageToss1.wav',
            'SFX/HeroSFX/BandageToss2.wav',
        },
    },
    ButtSlam = {
        tSounds = {
            'SFX/HeroSFX/Buttslam.wav',
        },
    },
    BusSuccess = {
        tSounds = {
            'SFX/Battle/BusSuccess.wav',
        },
    },
    BusFail = {
        tSounds = {
            'SFX/Battle/BusFail.wav',
        },
    },
    ChargeFireball = {
        tSounds = {
            'SFX/HeroSFX/ChargeFireball.wav',
        },
    },
    ChestBeam = {
        tSounds = {
            'SFX/HeroSFX/Cyborg_ChestBeam1.wav',
            'SFX/HeroSFX/Cyborg_ChestBeam2.wav',
        },
    },
    EyeBeam = {
        tSounds = {
            'SFX/HeroSFX/EyeBeam.wav',
        },
    },
    FightAmbience = {
        tSounds = {
            'Ambience/FightAmbience1.wav',
            'Ambience/FightAmbience2.wav',
            'Ambience/FightAmbience3.wav',
        },
        tLoopStartTime = {
            0,
            0,
            0,
        },
        tLoopEndTime = {
            23.038,
            20.053,
            28.521,
        },
    },
    FireHeadbutt = {
        tSounds = {
            'SFX/HeroSFX/FireHeadbut.wav',
        },
    },
    FireRescue = {
        tSounds = {
            'SFX/Battle/FireRescue.wav',
        },
    },
    FistSlam = {
        tSounds = {
            'SFX/HeroSFX/FistSlam.wav',
        },
    },
    FlyOut = {
        tSounds = {
            'SFX/HeroSFX/FlyOut.wav',
        },
    },
    FlyAttackSlam = {
        tSounds = {
            'SFX/HeroSFX/FlyAttackSlam.wav',
        },
    },
    FlyingFists = {
        tSounds = {
            'SFX/HeroSFX/Femal02_FlyingFists1.wav',
        },
    },
    FlyingKick = {
        tSounds = {
            'SFX/HeroSFX/Female02_SpinKick.wav',
        },
    },
    HeroPunch = {
        tSounds = {
            'SFX/HeroSFX/HeroPunch1.wav',
            'SFX/HeroSFX/HeroPunch2.wav',
            'SFX/HeroSFX/HeroPunch3.wav',
            'SFX/HeroSFX/HeroPunch4.wav',
            'SFX/HeroSFX/HeroPunch5.wav',
        },
    },
    LightningAttack = {
        tSounds = {
            'SFX/HeroSFX/Female02_LightningStrike.wav',
        },
    },
    LandIn = {
        tSounds = {
            'SFX/HeroSFX/LandIn.wav',
            'SFX/HeroSFX/LandIn2.wav',
            'SFX/HeroSFX/LandIn3.wav',
        },
    },
    MaleLaser = {
        tSounds = {
            'SFX/HeroSFX/MaleLaser1.wav',
            'SFX/HeroSFX/MaleLaser2.wav',
        },
    },
    MaleThrow = {
        tSounds = {
            'SFX/HeroSFX/MaleThrow.wav',
        },
    },
    MonsterFootSlam = {
        tSounds = {
            'SFX/EnemySFX/MonsterFootSlam.wav',
        },
    },
    MummyCurse = {
        tSounds = {
            'SFX/HeroSFX/MummyCurse1.wav',
            'SFX/HeroSFX/MummyCurse2.wav',
        },
    },
    MummyGroundFist = {
        tSounds = {
            'SFX/HeroSFX/MummyGroundFist.wav',
        },
    },
    MummyHandSmash = {
        tSounds = {
            'SFX/HeroSFX/MummyHandSmash.wav',
        },
    },
    OfficeAmbience = {
        tSounds = {
            'Ambience/OfficeAmbience1.wav',
        },
    },
    OutDoorAmbience = {
        tSounds = {
            'Ambience/OutdoorAmbience1.wav',
            'Ambience/OutdoorAmbience1.wav',
        },
        tLoopStartTime = {
            0,
            0,            
        },
        tLoopEndTime = {
            24.334,
            24.752,
        },
    },
    OrbitalStrike = {
        tSounds = {
            'SFX/HeroSFX/OrbitalStrike.wav',
        },
    },
    PortalElement = {
        tSounds = {
            'Ambience/PortalElement.wav',
        },
    },
    RallyCry = {
        tSounds = {
            'SFX/HeroSFX/RallyCry1.wav',
            'SFX/HeroSFX/RallyCry2.wav',
            'SFX/HeroSFX/RallyCry3.wav',
        },
    },
    RemoteClick = {
        tSounds = {
            'SFX/HeroSFX/RemoteClick.wav',
        },
    },
    RobotEyebeam = {
        tSounds = {
            'SFX/HeroSFX/RobotEyebeam.wav',
        },
    },
    RobotGrenade = {
        tSounds = {
            'SFX/HeroSFX/RobotGrenade.wav',
        },
    },
    RobotFootLift = {
        tSounds = {
            'SFX/EnemySFX/RobotFootLift.wav',
        },
    },
    RobotFootStomp = {
        tSounds = {
            'SFX/EnemySFX/RobotFootStomp.wav',
        },
    },
    RocketExplode = {
        tSounds = {
            'SFX/HeroSFX/RocketExplode1.wav',
            'SFX/HeroSFX/RocketExplode2.wav',
            'SFX/HeroSFX/RocketExplode3.wav',
            'SFX/HeroSFX/RocketExplode4.wav',
        },
    },
    RobotRocketArm = {
        tSounds = {
            'SFX/HeroSFX/RobotRocketArm.wav',
        },
    },
    RocketPunchMachine = {
        tSounds = {
            'SFX/EnemySFX/Enemy_RocketPunch1.wav',
            'SFX/EnemySFX/Enemy_RocketPunch2.wav',
            'SFX/EnemySFX/Enemy_RocketPunch3.wav',
        },
    },
    SeparateLightningBuildUp = {
        tSounds = {
            'SFX/HeroSFX/SeparateLightningBuildUp.wav',
        },
    },
    SeparateLightningStrike = {
        tSounds = {
            'SFX/HeroSFX/SeparateLightningStrike.wav',
        },
    },
    ShieldButton = {
        tSounds = {
            'SFX/HeroSFX/SeparateShield.wav',
        },
    },
    SkullFaceLaugh = {
        tSounds = {
            'SFX/EnemySFX/SkullFaceKackle1.wav',
            'SFX/EnemySFX/SkullFaceKackle2.wav',
            'SFX/EnemySFX/SkullFaceKackle3.wav',
            'SFX/EnemySFX/SkullFaceKackle4.wav',
        },
    },
    SkullfaceHideout = {
        tSounds = {
            'Ambience/SkullFaceHideout.wav',
        },
        tLoopStartTime = {
            0,                        
        },
        tLoopEndTime = {
            12.286,
        },
    },
    ThrowFireball = {
        tSounds = {
            'SFX/HeroSFX/Male02_ThrowFireballs1.wav',
            'SFX/HeroSFX/Male02_ThrowFireballs2.wav',
            'SFX/HeroSFX/Male02_ThrowFireballs3.wav',
        },
    },
    ThrowLightning = {
        tSounds = {
            'SFX/HeroSFX/Female02_ThrowLightning1.wav',
            'SFX/HeroSFX/Female02_ThrowLightning2.wav',
        },
    },
    ThugWoodSwing = {
        tSounds = {
            'SFX/EnemySFX/ThugWoodHit1.wav',
            'SFX/EnemySFX/ThugWoodHit2.wav',
            'SFX/EnemySFX/ThugWoodHit3.wav',
            'SFX/EnemySFX/ThugWoodHit4.wav',
        },
    },
    TimeFreeze = {
        tSounds = {
            'SFX/HeroSFX/TimeFreeze.wav',
        },
    },
    UI_BackButton = {
        tSounds = {
            'UI/BackButton.wav',
        },
    },
    UI_BaseFolder = {
        tSounds = {
            'UI/BaseFolder_A.wav',
            'UI/BaseFolder_B.wav',
            'UI/BaseFolder_C.wav',
            'UI/BaseFolder_D.wav',
        },
    },
    UI_BuyButton = {
        tSounds = {
            'UI/BuyButton_A.wav',
            'UI/BuyButton_B.wav',
            'UI/BuyButton_C.wav',
            'UI/BuyButton_D.wav',
            'UI/BuyButton_E.wav',
        },
    },
    UI_CategorySelect = {
        tSounds = {
            'UI/CategorySelect_A.wav',
            'UI/CategorySelect_B.wav',
            'UI/CategorySelect_C.wav',
            'UI/CategorySelect_D.wav',
        },
    },
    UI_ClipBoard = {
        tSounds = {
            'UI/Clipboard.wav',
        },
    },
    UI_Confirm = {
        tSounds = {
            'SFX/Misc/Confirm_Type1.wav',
        },
    },
    UI_ContinueButton = {
        tSounds = {
            'UI/ContinueButton.wav',
        },
    },
    UI_Equip = {
        tSounds = {
            'UI/Equip_A.wav',
        },
    },
    UI_EquipMenu = {
        tSounds = {
            'UI/EquipFolder_A.wav',
            'UI/EquipFolder_B.wav',
        },
    },
    UI_Experience = {
        tSounds = {
            'UI/LevelIncrease.wav',
        },
    },
    UI_FolderTab = {
        tSounds = {
            'UI/FolderTab_A.wav',
            'UI/FolderTab_B.wav',
            'UI/FolderTab_C.wav',
        },
    },
    UI_LevelUp = {
        tSounds = {
            'UI/LevelUp.wav',
        },
    },
    UI_NoActivity = {
        tSounds = {
            'UI/NoActivityButton.wav',
        },
    },
    UI_Select = {
        tSounds = {
            'Select_Type1.wav',
        },
    },
    UI_Spend = {
        tSounds = {
            'UI/Spend_A.wav',
        },
    },
    ZapFreeze = {
        tSounds = {
            'SFX/HeroSFX/ZapFreeze.wav',
        },
    },
}