return {
    -- Sweet Justice
    TestMale01 = { 	
        sName = "NAME002TEXT",
        sDescription = "DESC001TEXT",
        nCardNum = 1,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'male01',
            lvl2 = 'male01',
            lvl3 = 'male01',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01L', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01R', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'male01_Lvl1',
            lvl2 = 'male01_Lvl2',
            lvl3 = 'male01_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Male_01/Male01_Lvl1",
                "Characters/Heroes/Male_01/Male01_2_Lvl1",
                "Characters/Heroes/Male_01/Male01_3_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Male_01/Male01_Lvl2",
                "Characters/Heroes/Male_01/Male01_2_Lvl2",
                "Characters/Heroes/Male_01/Male01_3_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Male_01/Male01_Lvl3",
                "Characters/Heroes/Male_01/Male01_2_Lvl3",
                "Characters/Heroes/Male_01/Male01_3_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/DefaultHeroAnims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01/Male01_fight_Lvl1",
                    "Characters/Heroes/Male_01/Male01_fight_2_Lvl1",
                    "Characters/Heroes/Male_01/Male01_fight_3_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01/Male01_fight_Lvl2",
                    "Characters/Heroes/Male_01/Male01_fight_2_Lvl2",
                    "Characters/Heroes/Male_01/Male01_fight_3_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01/Male01_fight_Lvl3",
                    "Characters/Heroes/Male_01/Male01_fight_2_Lvl3",
                    "Characters/Heroes/Male_01/Male01_fight_3_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FightAnims.lua",
        }, 
        sAnimForPurchaseMoment = "attack_lasers",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/MaleLaser",
        tFireRescueEventSpriteSheetInfo =
            {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01/Male01_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01/Male01_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01/Male01_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01/Male01_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01/Male01_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01/Male01_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01BusRescueAnims.lua",
        }, 
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 5, nAwareness = 1, nMaxHP = 40 },
            { nLevel = 5, nPower = 11, nAwareness = 7, nMaxHP = 100 },
            { nLevel = 10, nPower = 17, nAwareness = 13, nMaxHP = 190 },
        },
        walkingSpeed = 4,
        bIsMelee = true,
        tAbilityDefKeys =
        {
            'male01punch',
            'male01laser',
            'male01slam',
            'male01throw',
        },
        tCostumeKeys =
        {
            'fanboylvl2',
        },
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/MaleCheer',
        sSequentialResponseSet = 'SweetJusticeLines',
        sLoseOutro = 'SweetJusticeLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU008TEXT",
            sBackground = "RESU009TEXT",
            sWorkExpText1 = "RESU010TEXT",
            sWorkExpDate1 = "RESU011TEXT",
            sWorkExpText2 = "RESU012TEXT",
            sWorkExpDate2 = "RESU013TEXT",
            sReferences = "RESU014TEXT",
        },
        bStunnable = true,
    },	
    --Masked Mummy
    TestMale01b = { 	     
        sName = "NAME007TEXT",
        sDescription = "DESC002TEXT",
        nCardNum = 2,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'male01b',
            lvl2 = 'male01b',
            lvl3 = 'male01b',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01bL', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01bR', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },  
        tCardIndex = {
            lvl1 = 'male01b_Lvl1',
            lvl2 = 'male01b_Lvl2',
            lvl3 = 'male01b_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Male_01b/Male01b_Lvl1",
                "Characters/Heroes/Male_01b/Male01b_2_Lvl1",
                "Characters/Heroes/Male_01b/Male01b_3_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Male_01b/Male01b_Lvl2",
                "Characters/Heroes/Male_01b/Male01b_2_Lvl2",
                "Characters/Heroes/Male_01b/Male01b_3_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Male_01b/Male01b_Lvl3",
                "Characters/Heroes/Male_01b/Male01b_2_Lvl3",
                "Characters/Heroes/Male_01b/Male01b_3_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/DefaultHeroAnims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
                {
                lvl1 = {
                    "Characters/Heroes/Male_01b/Male01b_fight_Lvl1",
                    "Characters/Heroes/Male_01b/Male01b_fight_2_Lvl1",
                    "Characters/Heroes/Male_01b/Male01b_fight_3_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01b/Male01b_fight_Lvl2",
                    "Characters/Heroes/Male_01b/Male01b_fight_2_Lvl2",
                    "Characters/Heroes/Male_01b/Male01b_fight_3_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01b/Male01b_fight_Lvl3",
                    "Characters/Heroes/Male_01b/Male01b_fight_2_Lvl3",
                    "Characters/Heroes/Male_01b/Male01b_fight_3_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01bFightAnims.lua",
        },
        sAnimForPurchaseMoment = "mummy_curse",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/MummyCurse",
        tFireRescueEventSpriteSheetInfo =
            {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01b/Male01b_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01b/Male01b_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01b/Male01b_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01b/Male01b_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01b/Male01b_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01b/Male01b_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01BusRescueAnims.lua",
        },    
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 6, nAwareness = 1, nMaxHP = 30 },
            { nLevel = 5, nPower = 13, nAwareness = 8, nMaxHP = 70 },
            { nLevel = 10, nPower = 20, nAwareness = 15, nMaxHP = 110 },
        },
        walkingSpeed = 4,
        bIsMelee = true,
        tAbilityDefKeys =
        {
            'male01punch',
            'mummybandage',
            'mummycurse',
            'mummyfist',
        },
        tCostumeKeys =
        {
            'mummylvl2',
        },
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/MaleCheer',
        sSequentialResponseSet = 'MaskedMummyLines',
        sLoseOutro = 'MaskedMummyLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU001TEXT",
            sBackground = "RESU002TEXT",
            sWorkExpText1 = "RESU003TEXT",
            sWorkExpDate1 = "RESU004TEXT",
            sWorkExpText2 = "RESU005TEXT",
            sWorkExpDate2 = "RESU006TEXT",
            sReferences = "RESU007TEXT",
        },
        bStunnable = true,
    },	   
    
    -- Captain Premium
    TestMale01c = { 	
        sName = "NAME001TEXT",
        sDescription = "DESC003TEXT",
        nCardNum = 3,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'male01c',
            lvl2 = 'male01c',
            lvl3 = 'male01c',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01cL', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01cR', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'male01c_Lvl1',
            lvl2 = 'male01c_Lvl2',
            lvl3 = 'male01c_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Male_01c/Male01c_Lvl1",
                "Characters/Heroes/Male_01c/Male01c_2_Lvl1",
                "Characters/Heroes/Male_01c/Male01c_3_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Male_01c/Male01c_Lvl2",
                "Characters/Heroes/Male_01c/Male01c_2_Lvl2",
                "Characters/Heroes/Male_01c/Male01c_3_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Male_01c/Male01c_Lvl3",
                "Characters/Heroes/Male_01c/Male01c_2_Lvl3",
                "Characters/Heroes/Male_01c/Male01c_3_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/DefaultHeroAnims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01c/Male01c_fight_Lvl1",
                    "Characters/Heroes/Male_01c/Male01c_fight_2_Lvl1",
                    "Characters/Heroes/Male_01c/Male01c_fight_3_Lvl1",
                },
                lvl2= {
                    "Characters/Heroes/Male_01c/Male01c_fight_Lvl2",
                    "Characters/Heroes/Male_01c/Male01c_fight_2_Lvl2",
                    "Characters/Heroes/Male_01c/Male01c_fight_3_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01c/Male01c_fight_Lvl3",
                    "Characters/Heroes/Male_01c/Male01c_fight_2_Lvl3",
                    "Characters/Heroes/Male_01c/Male01c_fight_3_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01cFightAnims.lua",
        }, 
        sAnimForPurchaseMoment = "punch3",
        sPurchaseAnimSoundCue = 'MMOJ_Audio/SFX/HeroSFX/HeroPunch',
        tFireRescueEventSpriteSheetInfo =
            {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01c/Male01c_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01c/Male01c_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01c/Male01c_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01c/Male01c_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01c/Male01c_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01c/Male01c_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01BusRescueAnims.lua",
        },    
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 3, nAwareness = 2, nMaxHP = 50 },
            { nLevel = 5, nPower = 7, nAwareness = 9, nMaxHP = 120 },
            { nLevel = 10, nPower = 11, nAwareness = 16, nMaxHP = 190 },
        },
        walkingSpeed = 3,
        bIsMelee = true,
        tAbilityDefKeys =
        {
            'male01punch',
            'male01crallycry',
            'male01cslam',
            'male01cflyslam',
        },
        tCostumeKeys =
        {
            'vetlvl2',
        },
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/MaleCheer',
        sSequentialResponseSet = 'CaptainPremiumLines',
        sLoseOutro = 'CaptainPremiumLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU050TEXT",
            sBackground = "RESU051TEXT",
            sWorkExpText1 = "RESU052TEXT",
            sWorkExpDate1 = "RESU054TEXT",
            sWorkExpText2 = "RESU053TEXT",
            sWorkExpDate2 = "RESU055TEXT",
            sReferences = "RESU056TEXT",
        },
        bStunnable = true,
    },
    
    --Cosmic Crowbar
        TestMale01d = { 	
        sName = "NAME021TEXT",
        sDescription = "DESC009TEXT",
        nCardNum = 3,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'male01d',
            lvl2 = 'male01d',
            lvl3 = 'male01d',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01cL', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male01cR', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'male01d_Lvl1',
            lvl2 = 'male01d_Lvl2',
            lvl3 = 'male01d_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Male_01d/Male01d_Lvl1",
                "Characters/Heroes/Male_01d/Male01d_2_Lvl1",
                "Characters/Heroes/Male_01d/Male01d_3_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Male_01d/Male01d_Lvl2",
                "Characters/Heroes/Male_01d/Male01d_2_Lvl2",
                "Characters/Heroes/Male_01d/Male01d_3_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Male_01d/Male01d_Lvl3",
                "Characters/Heroes/Male_01d/Male01d_2_Lvl3",
                "Characters/Heroes/Male_01d/Male01d_3_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/Male01dAnims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01d/Male01d_fight_Lvl1",
                    "Characters/Heroes/Male_01d/Male01d_fight_2_Lvl1",
                    "Characters/Heroes/Male_01d/Male01d_fight_3_Lvl1",
                },
                lvl2= {
                    "Characters/Heroes/Male_01d/Male01d_fight_Lvl2",
                    "Characters/Heroes/Male_01d/Male01d_fight_2_Lvl2",
                    "Characters/Heroes/Male_01d/Male01d_fight_3_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01d/Male01d_fight_Lvl3",
                    "Characters/Heroes/Male_01d/Male01d_fight_2_Lvl3",
                    "Characters/Heroes/Male_01d/Male01d_fight_3_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01dFightAnims.lua",
        }, 
        sAnimForPurchaseMoment = "punch3",
        sPurchaseAnimSoundCue = 'MMOJ_Audio/SFX/HeroSFX/HeroPunch',
        tFireRescueEventSpriteSheetInfo =
            {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01d/Male01d_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01d/Male01d_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01d/Male01d_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_01d/Male01d_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_01d/Male01d_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_01d/Male01d_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01BusRescueAnims.lua",
        },    
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 3, nAwareness = 2, nMaxHP = 50 },
            { nLevel = 5, nPower = 6, nAwareness = 6, nMaxHP = 100 },
            { nLevel = 10, nPower = 15, nAwareness = 11, nMaxHP = 170 },
        },
        walkingSpeed = 4,
        bIsMelee = true,
        tAbilityDefKeys =
        {
            'male01dpunch',
            'male01dcrowbar',
            'male01dripportal',
            'male01dboomerang',
        },
        tCostumeKeys =
        {
            'crowbarlvl2',
        },
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/MaleCheer',
        sSequentialResponseSet = 'CosmicCrowbarLines',
        sLoseOutro = 'CosmicCrowbarLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU057TEXT",
            sBackground = "RESU058TEXT",
            sWorkExpText1 = "RESU060TEXT",
            sWorkExpDate1 = "RESU061TEXT",
            sWorkExpText2 = "RESU062TEXT",
            sWorkExpDate2 = "RESU063TEXT",
            sReferences = "RESU059TEXT",
        },
        bStunnable = true,
    },
    
    --hot head
    TestMale02 = { 	     
        sName = "NAME004TEXT",
        sDescription = "DESC004TEXT",
        nCardNum = 4,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'male02',
            lvl2 = 'male02',
            lvl3 = 'male02',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male02L', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male02R', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'male02_Lvl1',
            lvl2 = 'male02_Lvl2',
            lvl3 = 'male02_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Male_02/Male02_Lvl1",
                "Characters/Heroes/Male_02/Male02_2_Lvl1",
                "Characters/Heroes/Male_02/Male02_3_Lvl1",
                "Characters/Heroes/Male_02/Male02_4_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Male_02/Male02_Lvl2",
                "Characters/Heroes/Male_02/Male02_2_Lvl2",
                "Characters/Heroes/Male_02/Male02_3_Lvl2",
                "Characters/Heroes/Male_02/Male02_4_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Male_02/Male02_Lvl3",
                "Characters/Heroes/Male_02/Male02_2_Lvl3",
                "Characters/Heroes/Male_02/Male02_3_Lvl3",
                "Characters/Heroes/Male_02/Male02_4_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/Male02Anims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_02/Male02_fight_Lvl1",
                    "Characters/Heroes/Male_02/Male02_fight_2_Lvl1",

                },
                lvl2 = {
                    "Characters/Heroes/Male_02/Male02_fight_Lvl2",
                    "Characters/Heroes/Male_02/Male02_fight_2_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_02/Male02_fight_Lvl3",
                    "Characters/Heroes/Male_02/Male02_fight_2_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male02FightAnims.lua",
        },
        sAnimForPurchaseMoment = "special_attack",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/ChargeFireball",
        tFireRescueEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_02/Male02_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_02/Male02_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_02/Male02_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_02/Male02_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_02/Male02_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_02/Male02_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male02BusRescueAnims.lua",
        },             
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 7, nAwareness = 1, nMaxHP = 20 },
            { nLevel = 5, nPower = 14, nAwareness = 8, nMaxHP = 60 },
            { nLevel = 10, nPower = 21, nAwareness = 15, nMaxHP = 100 },
        },
        walkingSpeed = 4,
        bIsMelee = false,
        tAbilityDefKeys =
            {
            'male02fireballs',
            'male02rage',
            'male02headbutt',
            'male02blast',
        },
        tCostumeKeys =
        {
            'hotheadlvl2',
        },
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/MaleCheer',
        sSequentialResponseSet = 'HotHeadLines',
        sLoseOutro = 'HotHeadLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU022TEXT",
            sBackground = "RESU023TEXT",
            sWorkExpText1 = "RESU024TEXT",
            sWorkExpDate1 = "RESU025TEXT",
            sWorkExpText2 = "RESU026TEXT",
            sWorkExpDate2 = "RESU027TEXT",
            sReferences = "RESU028TEXT",
        },
        bStunnable = true,
    },	 
    -- @Man
    TestMale02b = { 	     
        sName = "NAME003TEXT",
        sDescription = "DESC005TEXT",
        nCardNum = 5,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'male02b',
            lvl2 = 'male02b',
            lvl3 = 'male02b',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male02bL', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_male02bR', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'male02b_Lvl1',
            lvl2 = 'male02b_Lvl2',
            lvl3 = 'male02b_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Male_02b/Male02b_Lvl1",
                "Characters/Heroes/Male_02b/Male02b_2_Lvl1",
                "Characters/Heroes/Male_02b/Male02b_3_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Male_02b/Male02b_Lvl2",
                "Characters/Heroes/Male_02b/Male02b_2_Lvl2",
                "Characters/Heroes/Male_02b/Male02b_3_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Male_02b/Male02b_Lvl3",
                "Characters/Heroes/Male_02b/Male02b_2_Lvl3",
                "Characters/Heroes/Male_02b/Male02b_3_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/Male02bAnims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_02b/Male02b_fight_Lvl1",
                    "Characters/Heroes/Male_02b/Male02b_fight_2_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_02b/Male02b_fight_Lvl2",
                    "Characters/Heroes/Male_02b/Male02b_fight_2_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_02b/Male02b_fight_Lvl3",
                    "Characters/Heroes/Male_02b/Male02b_fight_2_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male02bFightAnims.lua",
        },
        sAnimForPurchaseMoment = "eye_blast",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/EyeBeam",
        tFireRescueEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_02b/Male02b_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_02b/Male02b_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_02b/Male02b_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Male_02b/Male02b_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Male_02b/Male02b_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Male_02b/Male02b_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male02BusRescueAnims.lua",
        },           
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 3, nAwareness = 3, nMaxHP = 40 },
            { nLevel = 5, nPower = 7, nAwareness = 10, nMaxHP = 110 },
            { nLevel = 10, nPower = 11, nAwareness = 17, nMaxHP = 180 },
        },
        walkingSpeed = 4,
        bIsMelee = false,
        tAbilityDefKeys =
        {
            'male02bchestbeams',
            'male02bshield',
            'male02beyebeams',
            'male02borbital',
        },
        tCostumeKeys =
        {
            'atmanlvl2',       
        },
        tConditionalCostumeKeys =
        {
            {
                sEnvironmentFlag = 'gpuRenderer',
                sReqValue = 'tegra',
                sCostumeKey = 'atmanlvl3',
            },            
        },
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/MaleCheer',
        sSequentialResponseSet = 'AtManLines',
        sLoseOutro = 'AtManLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU036TEXT",
            sBackground = "RESU037TEXT",
            sWorkExpText1 = "RESU038TEXT",
            sWorkExpDate1 = "RESU039TEXT",
            sWorkExpText2 = "RESU040TEXT",
            sWorkExpDate2 = "RESU041TEXT",
            sReferences = "RESU042TEXT",
        },
        bStunnable = true,
    },	   
    -- Galaxy Girl
    TestFemale01 = { 	     
        sName = "NAME008TEXT",
        sDescription = "DESC007TEXT",
        nCardNum = 6,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'female01',
            lvl2 = 'female01',
            lvl3 = 'female01',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_female01L', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_female01R', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'female01_Lvl1',
            lvl2 = 'female01_Lvl2',
            lvl3 = 'female01_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Female_01/Female01_Lvl1",
                "Characters/Heroes/Female_01/Female01_2_Lvl1",
                "Characters/Heroes/Female_01/Female01_3_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Female_01/Female01_Lvl2",
                "Characters/Heroes/Female_01/Female01_2_Lvl2",
                "Characters/Heroes/Female_01/Female01_3_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Female_01/Female01_Lvl3",
                "Characters/Heroes/Female_01/Female01_2_Lvl3",
                "Characters/Heroes/Female_01/Female01_3_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/DefaultFemaleHeroAnims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Female_01/Female01_fight_Lvl1",
                    "Characters/Heroes/Female_01/Female01_fight_2_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_01/Female01_fight_Lvl2",
                    "Characters/Heroes/Female_01/Female01_fight_2_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_01/Female01_fight_Lvl3",
                    "Characters/Heroes/Female_01/Female01_fight_2_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Female01FightAnims.lua",
        },
        sAnimForPurchaseMoment = "zap_freeze",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/ZapFreeze",
        tFireRescueEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Female_01/Female01_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_01/Female01_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_01/Female01_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Female_01/Female01_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_01/Female01_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_01/Female01_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/FemaleBusRescueAnims.lua",
        },               
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 3, nAwareness = 1, nMaxHP = 60 },
            { nLevel = 5, nPower = 7, nAwareness = 8, nMaxHP = 130 },
            { nLevel = 10, nPower = 11, nAwareness = 15, nMaxHP = 200 },
        },
        walkingSpeed = 4,
        bIsMelee = true,
        tAbilityDefKeys =
            {
            'female01chop',
            'female01heal',
            'female01zap',
            'female01zapall',
        },
        tCostumeKeys =
        {
            'cosmiclvl2',
        },
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/FemaleCheer',
        sSequentialResponseSet = 'GalaxyGirlLines',
        sLoseOutro = 'GalaxyGirlLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU015GALX",
            sBackground = "RESU016TEXT",
            sWorkExpText1 = "RESU017TEXT",
            sWorkExpDate1 = "RESU018TEXT",
            sWorkExpText2 = "RESU019TEXT",
            sWorkExpDate2 = "RESU020TEXT",
            sReferences = "RESU021TEXT",
        },
    },	   
    -- Surge Protector
    TestFemale02 = { 	     
        sName = "NAME006TEXT",
        sDescription = "DESC008TEXT",
        nCardNum = 7,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'female02',
            lvl2 = 'female02',
            lvl3 = 'female02',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_female02L', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_female02R', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'female02_Lvl1',
            lvl2 = 'female02_Lvl2',
            lvl3 = 'female02_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Female_02/Female02_Lvl1",
                "Characters/Heroes/Female_02/Female02_2_Lvl1",
                "Characters/Heroes/Female_02/Female02_03_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Female_02/Female02_Lvl2",
                "Characters/Heroes/Female_02/Female02_2_Lvl2",
                "Characters/Heroes/Female_02/Female02_03_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Female_02/Female02_Lvl3",
                "Characters/Heroes/Female_02/Female02_2_Lvl3",
                "Characters/Heroes/Female_02/Female02_03_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/Female02Anims.lua",
        tFightEventSpriteSheetInfo =
            {
            tSpriteSheetDefPaths = 
                {
                lvl1 = {
                    "Characters/Heroes/Female_02/Female02_fight_Lvl1",
                    "Characters/Heroes/Female_02/Female02_fight_2_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_02/Female02_fight_Lvl2",
                    "Characters/Heroes/Female_02/Female02_fight_2_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_02/Female02_fight_Lvl3",
                    "Characters/Heroes/Female_02/Female02_fight_2_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Female02FightAnims.lua",
        },
        sAnimForPurchaseMoment = "attack_backflipkick",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/Female02_SpinKick",
        tFireRescueEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Female_02/Female02_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_02/Female02_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_02/Female02_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Female_02/Female02_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_02/Female02_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_02/Female02_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/FemaleBusRescueAnims.lua",
        },                                                      
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 6, nAwareness = 1, nMaxHP = 30 },
            { nLevel = 5, nPower = 13, nAwareness = 8, nMaxHP = 70 },
            { nLevel = 10, nPower = 20, nAwareness = 15, nMaxHP = 110 },
        },
        walkingSpeed = 4,
        bIsMelee = false,
        tAbilityDefKeys =
            {
            'female02bolt',
            'female02elecshield',
            'female02eleckick',
            'female02lightning',
        },
        tCostumeKeys =
        {
            'surgelvl2',
        },   
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/FemaleCheer',  
        sSequentialResponseSet = 'SurgeProtectorLines',
        sLoseOutro = 'SurgeProtectorLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU029TEXT",
            sBackground = "RESU030TEXT",
            sWorkExpText1 = "RESU031TEXT",
            sWorkExpDate1 = "RESU032TEXT",
            sWorkExpText2 = "RESU033TEXT",
            sWorkExpDate2 = "RESU034TEXT",
            sReferences = "RESU035TEXT",
        },
        bStunnable = true,
    },	   
  -- Gloomerang  	 
  TestFemale02b = { 	     
        sName = "NAME027TEXT",
        sDescription = "DESC010TEXT",
        nCardNum = 7,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'female02b',
            lvl2 = 'female02b',
            lvl3 = 'female02b',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_female02bL', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_female02bR', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards3',
            lvl2 = 'UI/cards3',
            lvl3 = 'UI/cards3',
        },
        tCardIndex = {
            lvl1 = 'female02b_Lvl1',
            lvl2 = 'female02b_Lvl2',
            lvl3 = 'female02b_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Female_02b/Female02b_Lvl1",
                "Characters/Heroes/Female_02b/Female02b_2_Lvl1",
                "Characters/Heroes/Female_02b/Female02b_03_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Female_02b/Female02b_Lvl2",
                "Characters/Heroes/Female_02b/Female02b_2_Lvl2",
                "Characters/Heroes/Female_02b/Female02b_03_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Female_02b/Female02b_Lvl3",
                "Characters/Heroes/Female_02b/Female02b_2_Lvl3",
                "Characters/Heroes/Female_02b/Female02b_03_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/Female02bAnims.lua",
        tFightEventSpriteSheetInfo =
            {
            tSpriteSheetDefPaths = 
                {
                lvl1 = {
                    "Characters/Heroes/Female_02b/Female02b_fight_Lvl1",
                    "Characters/Heroes/Female_02b/Female02b_fight_2_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_02b/Female02b_fight_Lvl2",
                    "Characters/Heroes/Female_02b/Female02b_fight_2_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_02b/Female02b_fight_Lvl3",
                    "Characters/Heroes/Female_02b/Female02b_fight_2_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Female02bFightAnims.lua",
        },
        sAnimForPurchaseMoment = "attack_backflipkick",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/Female02b_SpinKick",
        tFireRescueEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Female_02b/Female02b_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_02b/Female02b_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_02b/Female02b_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Female_02b/Female02b_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Female_02b/Female02b_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Female_02b/Female02b_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/FemaleBusRescueAnims.lua",
        },                                                      
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 5, nAwareness = 3, nMaxHP = 30 },
            { nLevel = 5, nPower = 13, nAwareness = 8, nMaxHP = 70 },
            { nLevel = 10, nPower = 20, nAwareness = 15, nMaxHP = 110 },
        },
        walkingSpeed = 4,
        bIsMelee = true,
        tAbilityDefKeys =
            {
            'female02bpunch',
            'female02bgloomerang',
            'female02bfocusrefresh',
            'female02bshadowdebuff',
        },
        tCostumeKeys =
        {
            'gloomlvl2',
        },   
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/FemaleCheer',  
        sSequentialResponseSet = 'GloomerangLines',
        sLoseOutro = 'GloomerangLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU071TEXT",
            sBackground = "RESU072TEXT",
            sWorkExpText1 = "RESU073TEXT",
            sWorkExpDate1 = "RESU074TEXT",
            sWorkExpText2 = "RESU075TEXT",
            sWorkExpDate2 = "RESU076TEXT",
            sReferences = "RESU077TEXT",
        },
        bStunnable = true,
        sCustomAchievement = 'RecruitGloomerang',
    },	   
    --Crimebot  
    Robot01 = { 	     
        sName = "NAME005TEXT",
        sDescription = "DESC006TEXT",
        nCardNum = 8,
        sCostumeSet = "lvl1",
        tPortraitPaths = {
            lvl1 = 'UI/icons2',
            lvl2 = 'UI/icons2',
            lvl3 = 'UI/icons2',
        },
        tPortraitIndex = {
            lvl1 = 'robot01',
            lvl2 = 'robot01',
            lvl3 = 'robot01',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_robot01L', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_robot01R', loc = { 400, -470 } },
        },
        tCardPath = {
            lvl1 = 'UI/cards',
            lvl2 = 'UI/cards2',
            lvl3 = 'UI/cards2',
        },
        tCardIndex = {
            lvl1 = 'robot01_Lvl1',
            lvl2 = 'robot01_Lvl2',
            lvl3 = 'robot01_Lvl2',
        },
        tSpriteSheetDefPaths = {
            lvl1 = {
                "Characters/Heroes/Robot_01/Robot01_Lvl1",
                "Characters/Heroes/Robot_01/Robot01_2_Lvl1",
                "Characters/Heroes/Robot_01/Robot01_3_Lvl1",
            },
            lvl2 = {
                "Characters/Heroes/Robot_01/Robot01_Lvl2",
                "Characters/Heroes/Robot_01/Robot01_2_Lvl2",
                "Characters/Heroes/Robot_01/Robot01_3_Lvl2",
            },
            lvl3 = {
                "Characters/Heroes/Robot_01/Robot01_Lvl3",
                "Characters/Heroes/Robot_01/Robot01_2_Lvl3",
                "Characters/Heroes/Robot_01/Robot01_3_Lvl3",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/Robot01Anims.lua",
        tFightEventSpriteSheetInfo =
            {
            tSpriteSheetDefPaths = 
                {
                lvl1 = {
                    "Characters/Heroes/Robot_01/Robot01_fight_Lvl1",
                    "Characters/Heroes/Robot_01/Robot01_fight_2_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Robot_01/Robot01_fight_Lvl2",
                    "Characters/Heroes/Robot_01/Robot01_fight_2_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Robot_01/Robot01_fight_Lvl3",
                    "Characters/Heroes/Robot_01/Robot01_fight_2_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Robot01FightAnims.lua",
        },
        sAnimForPurchaseMoment = "rocketstorm",
        sPurchaseAnimSoundCue = "MMOJ_Audio/SFX/HeroSFX/RobotRocketArm",
        tFireRescueEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Robot_01/Robot01_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Robot_01/Robot01_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Robot_01/Robot01_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01FireRescueAnims.lua",
        }, 
        tRunawayBusEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                lvl1 = {
                    "Characters/Heroes/Robot_01/Robot01_rescue_Lvl1",
                },
                lvl2 = {
                    "Characters/Heroes/Robot_01/Robot01_rescue_Lvl2",
                },
                lvl3 = {
                    "Characters/Heroes/Robot_01/Robot01_rescue_Lvl3",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male02BusRescueAnims.lua",
        },                                                      
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 3, nAwareness = 2, nMaxHP = 50 },
            { nLevel = 5, nPower = 9, nAwareness = 8, nMaxHP = 110 },
            { nLevel = 10, nPower = 15, nAwareness = 14, nMaxHP = 170 },
        },
        walkingSpeed = 4,
        bIsMelee = true,
        tAbilityDefKeys =
            {
            'robot01punch',
            'robot01eyebeams',
            'robot01gasgrenade',
            'robot01rocketstorm',
        },
        tCostumeKeys =
        {
            'botlvl2',
        },    
        tConditionalCostumeKeys =
        {
            {
                sEnvironmentFlag = 'gpuRenderer',
                sReqValue = 'tegra',
                sCostumeKey = 'botlvl3',
                
            },
        },       
        sVictoryCue = 'MMOJ_Audio/SFX/HeroSFX/RobotCheer',
        sSequentialResponseSet = 'CrimebotLines',
        sLoseOutro = 'CrimebotLoseOutro',
        tResumeInfo =
        {
            sObjective = "RESU043TEXT",
            sBackground = "RESU044TEXT",
            sWorkExpText1 = "RESU045TEXT",
            sWorkExpDate1 = "RESU046TEXT",
            sWorkExpText2 = "RESU047TEXT",
            sWorkExpDate2 = "RESU048TEXT",
            sReferences = "RESU049TEXT",
        },
        bStunnable = true,
    },	   
    MiddleManager = { 	sName = "NAME015TEXT",
        sCostumeSet = "default",
        tPortraitPaths = {
            default = 'UI/icons2',
        },
        tPortraitIndex = {
            default = 'mm',
        },
        tDoodles = {
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_mmL', loc = { 10, -476 } },
            { sSpriteSheetPath = 'UI/hud', sIndex = 'doodle_mmR', loc = { 400, -470 } },
        },
        tSpriteSheetDefPaths = {
            default = {
                "Characters/MM/MM",
                "Characters/MM/MMDesk",
                "Characters/MM/MMDesk_2",
                "Characters/MM/MMDesk_3",
            },
            sunglasses = {
                "Characters/MM/MM_Sunglasses",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/MiddleManagerAnims.lua",
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 0, nAwareness = 99, nMaxHP = 1, nCharisma = 1, nResearch = 1 },
        },
        walkingSpeed = 2,
        tResumeInfo =
        {
            sObjective = "RESU070TEXT",
            sBackground = "RESU064TEXT",
            sWorkExpText1 = "RESU069TEXT",
            sWorkExpDate1 = "RESU065TEXT",
            sWorkExpText2 = "RESU066TEXT",
            sWorkExpDate2 = "RESU067TEXT",
            sReferences = "RESU068TEXT",
        },
        tAbilityDefKeys =
        {
            --'mm_loadbalance',
            'mm_peptalk',
            'mm_paradigmshift',
            'mm_crunchtime',
            'mm_harddeadline',
        },
    },
    TutorialVeteran = { 	
        sName = "NAME001TEXT",
        sCostumeSet = "default",
        tPortraitPaths = {
            default = 'UI/icons2',
        },
        tPortraitIndex = {
            default = 'male01c',
        },
        sCardPath = 'Characters/Heroes/Male_01c/UI/male01c_card',
        tSpriteSheetDefPaths = {
            default = {
                "Characters/Heroes/Male_01c/Male01c_Lvl2",
                "Characters/Heroes/Male_01c/Male01c_2_Lvl2",
                "Characters/Heroes/Male_01c/Male01c_3_Lvl2",
            },
        },
        centerToBaseX = 0,
        centerToBaseY = -20,
        sAnimDefFileName = "Characters/AnimDefs/DefaultHeroAnims.lua",
        tFightEventSpriteSheetInfo =
        {
            tSpriteSheetDefPaths = 
            {
                default= {
                    "Characters/Heroes/Male_01c/Male01c_fight_Lvl2",
                    "Characters/Heroes/Male_01c/Male01c_fight_2_Lvl2",
                    "Characters/Heroes/Male_01c/Male01c_fight_3_Lvl2",
                },
            },
            sAnimDefFileName = "Characters/AnimDefs/Male01cFightAnims.lua",
        }, 
        initalAnimation = "breathe",
        initTile = { x = 30, y = 27 },
        textColor = {255,120,110}, 
        tInitialStats = {
            { nLevel = 1, nPower = 4, nAwareness = 1, nMaxHP = 90, nCharisma = 5, nResearch = 0 },
            { nLevel = 5, nPower = 9, nAwareness = 1, nMaxHP = 140, nCharisma = 10, nResearch = 0 },
            { nLevel = 10, nPower = 14, nAwareness = 1, nMaxHP = 190, nCharisma = 15, nResearch = 0 },
        },
        walkingSpeed = 3,
    },	   
}
