local tRareDrops =
{
   'powlvl1',
   'powlvl2', 
   'intlvl1',
   'intlvl2',
   'shieldlvl1',
   'shieldlvl2',
   'shieldlvl3',
   'hypnoglasses',
   'xpmultiplier',
}
local tMostWantedDrops =
{
    'employeeoftheyear',
    'longphone',    
    'beatdowngauntlets',
    'defensesuit',    
    'vampirehat',
    'powlvl5',
    'intlvl5',
    'shieldlvl5',
    'hypnoglasses2',
    'passaggbelt2',
    'focushat',
}
local tGodzillaDrops =
{
    'beastflyhat',
    'beastflyeye',
    'beastflysuit',
    'beastflysoftware',
}

local tEventDefs = 
{
    -- robbery events
    -- level 1
    robberylvl1_1 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 10,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl1_2 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 10,
        },
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl1_3 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                          Enemy3 = { sCharDefKey = 'ThugLvl1', },
                       },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 10,
        },
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_1 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 10,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_2 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                          Enemy3 = { sCharDefKey = 'ThugLvl1', },
                          Enemy4 = { sCharDefKey = 'ThugLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 10,
        },
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_3 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 10,
        },
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_4 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                          Enemy3 = { sCharDefKey = 'ThugLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_5 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy3 = { sCharDefKey = 'ThugBLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        bUseRandomOverride = true,
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_6 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy3 = { sCharDefKey = 'ThugBLvl2', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_7 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                          Enemy3 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy4 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy5 = { sCharDefKey = 'ThugBLvl2', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl2_8 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy3 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy4 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy5 = { sCharDefKey = 'ThugBLvl2', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        nCrimeLevelReduction = 1,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl3_1 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        nCrimeLevelReduction = 1,
        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    robberylvl3_2 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Money',
                x = 340,
                y = -100,
            },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },   
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl3_3 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Money',
                x = 340,
                y = -100,
            },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },    
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl3_3 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Money',
                x = 340,
                y = -100,
            },
        },
        nMaxHeroes = 4,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl3_4 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl3_5 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy3 = { sCharDefKey = 'ThugBLvl2', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl3_6 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robberylvl4_1 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 25,
        },
        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl4_2 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Money',
                x = 340,
                y = -100,
            },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 25,
        },      
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl4_3 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy5 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Money',
                x = 340,
                y = -100,
            },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },   
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl4_4 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy5 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Money',
                x = 340,
                y = -100,
            },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },   
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robberylvl5_1 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'ThugBLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl5_2 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'ThugBLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl5_3 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },

                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl5_4 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },

                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    robberylvl5_5 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robberylvl6_1 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy5 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robberylvl6_2 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robberylvl6_3 = {   
        nLevel = 1,
        bgDefFile = "Street_night",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robberylvl6_4 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy7 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy8 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    
    
    alienlvl7_1 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienMeleeAlienLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienMeleeAlienLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 80,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    alienlvl7_2 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienMeleeMaleLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienMeleeFemaleLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 80,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    alienlvl7_3 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienMeleeAlienLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienMeleeAlienLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienMeleeAlienLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 80,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    alienlvl7_4 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienMeleeMaleLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienMeleeFemaleLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienMeleeFemaleLvl1', },
                          Enemy4 = { sCharDefKey = 'AlienMeleeMaleLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 80,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    
    alienlvl8_1 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 100,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
        alienlvl8_2 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 100,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
        alienlvl8_3 = {   
        nLevel = 1,
        bgDefFile = "Rooftop.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'AlienRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 100,
        },
        nMaxHeroes = 4,
--        bUseRandomOverride = true,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    introevent_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugIntro', },
                          Enemy2 = { sCharDefKey = 'ThugIntro', },
                          Enemy3 = { sCharDefKey = 'ThugIntro', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                              Veteran = { sCharDefKey = 'TutorialVeteran', },
                              Skullface = { sCharDefKey = 'SkullFaceLvl1', },
                          },
        },
        eventClassName = 'IntroEvent1',
        bHasInfiniteDuration = true,
        nMaxHeroes = 4,
        Rewards =
	    {
            Cash = 350,
            WinXP = 10,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    introevent_3 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "SkullfaceLair.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'ThugBLvl1', },
                          Enemy2 = { sCharDefKey = 'ThugLvl1', },
                          Skullface = { sCharDefKey = 'SkullFaceLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'IntroEvent3',
        bHasInfiniteDuration = true,
        Rewards =
	    {
            PP = 10,
            WinXP = 50,
        },
        nMaxHeroes = 4,
        sEventType = 'mission',
        sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 60,
        nWinHeadlineVerticalOffset = 0,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 44,
        nLoseHeadlineVerticalOffset = -15,
        sWinMainCaption = 'NEWS003TEXT',
        sWinSideCaption = 'NEWS004TEXT',
		sLoseMainCaption = 'NEWS005TEXT',
        sLoseSideCaption = 'NEWS006TEXT',
        nWinHeadlineFontSize = 60,
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        bIsBossFight = true,
        nCrimeLevelReduction = 1,
    },
    -- missions

    boxingMissile_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/storefront_2',
                sSpriteName = 'RocketShop',
                x = 0,
                y = -130,
            },
        },
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'BoxingMissileEvent1',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    boxingMissile_2 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street.lua",
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_BoxingGloves',
                x = 340,
                y = -100,
            },
        },
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'BoxingMissileEvent2',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 20,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    boxingMissile_3 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "MadScientistLair.lua",
        tActors =
        {
            Enemies = {
                Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                RocketLauncher = { sCharDefKey = 'RocketLauncher', },
            },
            OtherActors = {
                MadScientist = { sCharDefKey = 'MadScientistLvl1', },
            },
        },
        eventClassName = 'BoxingMissileEvent3',
        bHasInfiniteDuration = true,
        Rewards =
	    {
            PP = 10,
            WinXP = 50,
        },
        sEventType = 'mission',
		sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 60,
        nWinHeadlineVerticalOffset = 0,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 44,
        nLoseHeadlineVerticalOffset = -15,
        sWinMainCaption = 'NEWS009TEXT',
        sWinSideCaption = 'NEWS010TEXT',
		sLoseMainCaption = 'NEWS007TEXT',
        sLoseSideCaption = 'NEWS008TEXT',
        bIsBossFight = true,
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',  
        nCrimeLevelReduction = 1,     
    },

    robotFoot_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "DemolishedBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'RobotFootEvent1',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robotFoot_2 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "DemolishedBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'RobotFootEvent2',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    robotFoot_3 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "DemolishedBuilding.lua",
        eventClassName = 'RobotFootEvent3',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          RobotFoot = { sCharDefKey = 'RobotFootLvl1', },
                      },
            OtherActors = {
                              FallingHench = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          },
        },
        Rewards =
	    {
            PP = 10,
            WinXP = 50,
        },
        sEventType = 'mission',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,       
        bIsBossFight = true,
    },

    robotFoot_4 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "DemolishedBuilding.lua",
        eventClassName = 'RobotFootEvent4',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          RobotFoot = { sCharDefKey = 'RobotFootLvl1', },
                      },
            OtherActors = {
                              FallingHench = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          },
        },
        Rewards =
	    {
--            Cash = 50,
            WinXP = 50,         
        },
        sEventType = 'mission',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight', 
        nCrimeLevelReduction = 1,     
    },

    robotFoot_5 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "DemolishedBuilding.lua",
        eventClassName = 'RobotFootEvent5',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          RobotFoot = { sCharDefKey = 'RobotFootLvl1', },
                      },
            OtherActors = {
                              FallingHench = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          },
        },
        Rewards =
	    {
            PP = 10,
            WinXP = 50,          
        },
        sEventType = 'mission',
		sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 48,
        nWinHeadlineVerticalOffset = -13,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 55,
        nLoseHeadlineVerticalOffset = -10,
        sWinMainCaption = 'NEWS013TEXT',
        sWinSideCaption = 'NEWS014TEXT',
		sLoseMainCaption = 'NEWS011TEXT',
        sLoseSideCaption = 'NEWS012TEXT',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',   
        nCrimeLevelReduction = 1,   
        bIsBossFight = true,
    },

    jailBreak_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/storefront_1',
                sSpriteName = 'Bank',
                x = 0,
                y = -130,
            },
        },
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'JailBreakEvent1',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },    

    jailBreak_2 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/storefront_1',
                sSpriteName = 'Bank',
                x = 0,
                y = -130,
            },
        },
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Skullface = { sCharDefKey = 'SkullFaceLvl1', },
                          },
        },
        eventClassName = 'JailBreakEvent2',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 50,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },    

    jailBreak_3 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "SkullfaceLair.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'SkullHenchmanRangedLvl1', },
                          
                      },
            OtherActors = {
                              Skullface = { sCharDefKey = 'SkullFaceLvl2', },
                          },
        },
        eventClassName = 'JailBreakEvent3',
        bHasInfiniteDuration = true,
        Rewards =
	    {
            PP = 10,
            WinXP = 50,
        },
        sEventType = 'mission',
		sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 55,
        nWinHeadlineVerticalOffset = -5,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 56,
        nLoseHeadlineVerticalOffset = -5,
        sWinMainCaption = 'NEWS025TEXT',
        sWinSideCaption = 'NEWS026TEXT',
		sLoseMainCaption = 'NEWS022TEXT',
        sLoseSideCaption = 'NEWS023TEXT',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',  
        nCrimeLevelReduction = 1, 
        bIsBossFight = true,
    },    

    portal_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street.lua",
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Nuke',
                x = 340,
                y = -100,
            },
        },
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'PortalEvent1',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 25,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    portal_2 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tBGProps = {
            
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck_Nuke',
                x = 340,
                y = -100,
            },
        },
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                      },
            OtherActors = {
                              MadScientist = { sCharDefKey = 'MadScientistLvl1', },
                          },
        },
        eventClassName = 'PortalEvent2',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 25,           
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    portal_3 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "MadScientistLair.lua",
        tBGProps = {
            {
                sSpriteSheetPath = 'Characters/Props/MadScientistProps',
                sSpriteName = 'Portal',
                x = 200,
                y = 100,
            },
        },
        tActors =
        {
            Enemies = {
                Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                Enemy4 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
            },
            OtherActors = {
                              MadScientist = { sCharDefKey = 'MadScientistLvl1', },
                              MonsterFoot = { sCharDefKey = 'MonsterFootLvl1', },
                          },
        },
        sAmbienceOverride = 'MMOJ_Audio/Ambience/PortalElement',
        eventClassName = 'PortalEvent3',
        bHasInfiniteDuration = true,
        Rewards =
	    {
            PP = 10,
            WinXP = 25,           
        },
        sEventType = 'mission',
		sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 55,
        nWinHeadlineVerticalOffset = -5,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 55,
        nLoseHeadlineVerticalOffset = -5,
        sWinMainCaption = 'NEWS016TEXT',
        sWinSideCaption = 'NEWS017TEXT',
		sLoseMainCaption = 'NEWS015TEXT',
        sLoseSideCaption = 'NEWS024TEXT',
        nHeadlineFontSize = 44,
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',  
        nCrimeLevelReduction = 1,   
        bIsBossFight = true,
    },

    monsterFoot_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street.lua",
        eventClassName = 'MonsterFootEvent1',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          MonsterFoot = { sCharDefKey = 'MonsterFootLvl1', },
                      },
        },
        Rewards =
	    {
--            Cash = 50,
            WinXP = 25,
        },
        sEventType = 'mission',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },

    monsterFoot_2 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "DemolishedBuilding.lua",
        eventClassName = 'MonsterFootEvent2',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          MonsterFoot = { sCharDefKey = 'MonsterFootLvl1', },
                      },
        },
        Rewards =
	    {
            PP = 10,
            WinXP = 25,          
        },
        sEventType = 'mission',
        sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 57,
        nWinHeadlineVerticalOffset = -5,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 59,
        nLoseHeadlineVerticalOffset = -5,
        sWinMainCaption = 'NEWS020TEXT',
        sWinSideCaption = 'NEWS021TEXT',
		sLoseMainCaption = 'NEWS018TEXT',
        sLoseSideCaption = 'NEWS019TEXT',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',   
        nCrimeLevelReduction = 1, 
        bIsBossFight = true,
    },

    clone_1 = {   
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy7 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy8 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                              Skullface = { sCharDefKey = 'SkullFaceLvl1', },
                          },
        },
        eventClassName = 'CloneEvent1',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    clone_2 = {   
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'SkullHenchmanMeleeLvl1', },
                          Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy7 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy8 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy9 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                              Skullface = { sCharDefKey = 'SkullFaceLvl1', },
                          },
        },
        eventClassName = 'CloneEvent2',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },

    clone_3 = {   
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "RunawayBusBG_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SkullFaceLvl3', },
                          Enemy2 = { sCharDefKey = 'SkullFaceLvl3', },
                          Enemy3 = { sCharDefKey = 'SkullFaceLvl3', },
                          Enemy4 = { sCharDefKey = 'SkullFaceLvl3', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        eventClassName = 'CloneEvent3',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 30,
        },
        nMaxHeroes = 4,
        sEventType = 'mission',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight', 
        nCrimeLevelReduction = 1,  
    },

    clone_4 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "MadScientistLair.lua",
        tActors =
        {
            Enemies = {
                Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy4 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },

                Enemy5 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                Enemy6 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                Enemy7 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                Enemy8 = { sCharDefKey = 'MSHenchmanRangedLvl1', },

                Enemy9 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy10 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy11 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                Enemy12 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },

                Enemy13 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                Enemy14 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                Enemy15 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                Enemy16 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
            },
            OtherActors = {
                MadScientist = { sCharDefKey = 'MadScientistLvl1', },
                CloningMachine = { sCharDefKey = 'CloningMachine', },
                Skullface = { sCharDefKey = 'SkullFaceLvl1', },
            },
        },
        eventClassName = 'CloneEvent4',
        bHasInfiniteDuration = true,
        Rewards =
	    {
            PP = 10,
            WinXP = 40,
        },
        sEventType = 'mission',
		sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 55,
        nWinHeadlineVerticalOffset = -5,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 55,
        nLoseHeadlineVerticalOffset = -5,
        sWinMainCaption = 'NEWS029TEXT',
        sWinSideCaption = 'NEWS030TEXT',
		sLoseMainCaption = 'NEWS027TEXT',
        sLoseSideCaption = 'NEWS028TEXT',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',     
        nCrimeLevelReduction = 1,
        bIsBossFight = true,
    },
    
    -- cosmic crowbar missions
    crowbar_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienMeleeFemaleLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienMeleeMaleLvl1', },
                      },
            OtherActors = {
                              HiddenCitizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'CrowbarEvent1',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 100,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    crowbar_2 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienMeleeFemaleLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienMeleeMaleLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienMeleeFemaleLvl1', },
                          Enemy4 = { sCharDefKey = 'AlienMeleeMaleLvl1', },
                      },
            OtherActors = {
                              HiddenCitizen = { sCharDefKey = 'CitiGirl', },
                              HiddenAlienBody = { sCharDefKey = 'AlienMeleeMaleLvl1', },
                          },
        },
        eventClassName = 'CrowbarEvent2',
        bHasInfiniteDuration = true,
        Rewards =
	    {
--            Cash = 50,
            WinXP = 100,
        },
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
    crowbar_3 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'CrowbarVillainLvl1', },
                      },
            OtherActors = {
                          },
        },
        eventClassName = 'CrowbarEvent3',
        bHasInfiniteDuration = true,
        Rewards =
	    {
            PP = 10,
            WinXP = 120,
        },
        sEventType = 'mission',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
		sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 60,
        nWinHeadlineVerticalOffset = 0,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 44,
        nLoseHeadlineVerticalOffset = -15,
        sWinMainCaption = 'NEWS035TEXT',
        sWinSideCaption = 'NEWS033TEXT',
		sLoseMainCaption = 'NEWS031TEXT',
        sLoseSideCaption = 'NEWS032TEXT',
        bIsBossFight = true,
    },

	 alien_1 = {   
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienRangedLvl1', },
                      },
            OtherActors = {                              
                              AlienBodyHusk = { sCharDefKey = 'AlienBodyOnly' },
                          },
        },
        eventClassName = 'AlienEvent1',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 120,
        },
        nMaxHeroes = 4,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
	
	 alien_2 = {   
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienRangedLvl1', },
                      },
        },
        eventClassName = 'AlienEvent2',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 120,
        },
        nMaxHeroes = 4,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
	
	 alien_3 = {   
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'AlienRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'AlienRangedLvl1', },
                      },
        },
        eventClassName = 'AlienEvent3',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 120,
        },
        nMaxHeroes = 4,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
    },
	
    alien_4 = {   
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        tActors =
        {
            Enemies = {
                Enemy1 = { sCharDefKey = 'AlienRangedLvl1', },
                Enemy2 = { sCharDefKey = 'AlienRangedLvl1', },
                Enemy3 = { sCharDefKey = 'AlienRangedLvl1', },
                Enemy4 = { sCharDefKey = 'AlienMeleeAlienLvl1', },
                Enemy5 = { sCharDefKey = 'AlienMeleeAlienLvl1', },
                AlienBoss = { sCharDefKey = 'AlienBossLvl1', },
            },
        },
        eventClassName = 'AlienEvent4',
        Rewards =
	    {
--            Cash = 50,
            PP = 10,
            WinXP = 150,
        },
        nMaxHeroes = 4,
        sEventType = 'mission',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        nCrimeLevelReduction = 1,
        sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 60,
        nWinHeadlineVerticalOffset = 0,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 65,
        nLoseHeadlineVerticalOffset = 5,
        sWinMainCaption = 'NEWS034TEXT',
        sWinSideCaption = 'NEWS036TEXT',
		sLoseMainCaption = 'NEWS037TEXT',
        sLoseSideCaption = 'NEWS038TEXT',
        bIsBossFight = true,
    },
	
    -- fire rescue events
    firerescuelvl1_1 = {   
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        nDesiredAwareness = 10,
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        tActors =
        {
--                Citizen = { sCharDefKey = Character.tOtherActorDefinitions.CitiGirl, },
        },
        eventClassName = 'FireRescueEvent',
        sAmbienceOverride = 'MMOJ_Audio/SFX/Battle/FireRescue',
        Rewards =
	    {
            WinXP = 10,
        },
        nMaxHeroes = 1,
        nCrimeLevelReduction = 0,
        sEventType = 'fire',
    },
    firerescuelvl1_2 = {   
        nLevel = 2,
        bgDefFile = "BurningBuilding.lua",
        nDesiredAwareness = 15,
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        tActors =
        {
--                Citizen = { sCharDefKey = Character.tOtherActorDefinitions.CitiGirl, },
        },
        eventClassName = 'FireRescueEvent',
        sAmbienceOverride = 'MMOJ_Audio/SFX/Battle/FireRescue',
        Rewards =
	    {
            WinXP = 50,
        },
        nMaxHeroes = 1,
        nCrimeLevelReduction = 0,
        sEventType = 'fire',
    },
    firerescuelvl1_3 = {   
        nLevel = 3,
        bgDefFile = "BurningBuilding.lua",
        nDesiredAwareness = 20,
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        tActors =
        {
--                Citizen = { sCharDefKey = Character.tOtherActorDefinitions.CitiGirl, },
        },
        eventClassName = 'FireRescueEvent',
        sAmbienceOverride = 'MMOJ_Audio/SFX/Battle/FireRescue',
        Rewards =
	    {
            WinXP = 100,
        },
        nMaxHeroes = 1,
        nCrimeLevelReduction = 0,
        sEventType = 'fire',
    },
    firerescuelvl1_4 = {   
        nLevel = 3,
        bgDefFile = "BurningBuilding.lua",
        nDesiredAwareness = 30,
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        tActors =
        {
--                Citizen = { sCharDefKey = Character.tOtherActorDefinitions.CitiGirl, },
        },
        eventClassName = 'FireRescueEvent',
        sAmbienceOverride = 'MMOJ_Audio/SFX/Battle/FireRescue',
        Rewards =
	    {
            WinXP = 125,
        },
        nMaxHeroes = 1,
        nCrimeLevelReduction = 0,
        sEventType = 'fire',
    },

    -- runaway bus events    
    busrescuelvl1_1 = {   
        nLevel = 1,
        nDesiredPower = 10,
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        bgDefFile = "RunawayBusBG.lua",
        tActors =
        {
            OtherActors = {
                RunawayBus = { sCharDefKey = 'RunawayBus', },
            },
        },
        eventClassName = 'RunawayBusEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 10,
        },
        nMaxHeroes = 1,
        nCrimeLevelReduction = 0,
        sEventType = 'busrescue',
    },
    busrescuelvl1_2 = {   
        nLevel = 1,
        nDesiredPower = 20,
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        bgDefFile = "RunawayBusBG.lua",
        tActors =
        {
            OtherActors = {
                RunawayBus = { sCharDefKey = 'RunawayBus', },
            },
        },
        eventClassName = 'RunawayBusEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 50,
        },
        nMaxHeroes = 1,
        nCrimeLevelReduction = 0,
        sEventType = 'busrescue',
    },
    busrescuelvl1_3 = {   
        nLevel = 1,
        nDesiredPower = 30,
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        bgDefFile = "RunawayBusBG.lua",
        tActors =
        {
            OtherActors = {
                RunawayBus = { sCharDefKey = 'RunawayBus', },
            },
        },
        eventClassName = 'RunawayBusEvent',
        Rewards =
	    {
--            Cash = 50,
            WinXP = 100,
        },
        nMaxHeroes = 1,
        nCrimeLevelReduction = 0,
        sEventType = 'busrescue',
    },

    -- valentines events
    valentines1_1 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_TeddyBears',
                x = 340,
                y = -100,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },    
    valentines1_2 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_Chocolates',
                x = 340,
                y = -100,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },    
    valentines1_3 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_Night',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_TeddyBears_Night',
                x = 340,
                y = -100,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },        
    valentines2_1 = {   
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'LoveGunSmall', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/storefront_3',
                sSpriteName = 'FlowerShop',
                x = 0,
                y = -130,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },    
    valentines2_2 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy4 = { sCharDefKey = 'LoveGunSmall', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_Chocolates',
                x = 340,
                y = -100,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },    
    valentines2_3 = {   
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy4 = { sCharDefKey = 'LoveGunSmall', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiGirl', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/storefront_3',
                sSpriteName = 'FlowerShop',
                x = 0,
                y = -130,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },        
    valentines3_1 = {   
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy4 = { sCharDefKey = 'LoveGunSmall', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/storefront_3',
                sSpriteName = 'FlowerShop',
                x = 0,
                y = -130,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },    
    valentines3_2 = {   
        nLevel = 1,
        bgDefFile = "Street.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy5 = { sCharDefKey = 'LoveGunSmall', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck',
                sSpriteName = 'Truck',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_Chocolates',
                x = 340,
                y = -100,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },    
    valentines3_3 = {   
        nLevel = 1,
        bgDefFile = "BurningBuilding.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                          Enemy3 = { sCharDefKey = 'MSHenchmanRangedLvl2', },
                          Enemy4 = { sCharDefKey = 'LoveGunSmall', },
                          Enemy5 = { sCharDefKey = 'LoveGunSmall', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/storefront_3',
                sSpriteName = 'FlowerShop',
                x = 0,
                y = -130,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },        
    valentines3_4 = {   
        nLevel = 1,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'MSHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'SecurityGuard', },
                          },
        },
        nMaxHeroes = 4,
        eventClassName = 'ValentinesEvent1',
        Rewards =
	    {
            WinXP = 20,
        },
        nCrimeLevelReduction = 0,
        sEventType = 'crime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
        tBGProps = {
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_Night',
                x = 340,
                y = -100,
            },
            {
                sSpriteSheetPath = 'Levels/EventBG/truck_2',
                sSpriteName = 'Truck_Chocolates_Night',
                x = 340,
                y = -100,
            },
        },
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },        
    valentines4_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "MadScientistLair.lua",
        tActors =
        {
            Enemies = {
                Enemy1 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                Enemy2 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                Enemy3 = { sCharDefKey = 'MSHenchmanMeleeLvl2', },
                MadScientist = { sCharDefKey = 'MadScientistLvl1', },
                LoveGunLarge = { sCharDefKey = 'LoveGunLarge', },
            },
        },
        eventClassName = 'ValentinesEvent2',
        bHasInfiniteDuration = true,
        Rewards =
	    {
            PP = 20,
            WinXP = 100,
        },
        sEventType = 'mission',
--[[
		sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 60,
        nWinHeadlineVerticalOffset = 0,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 44,
        nLoseHeadlineVerticalOffset = -15,
        sWinMainCaption = 'NEWS009TEXT',
        sWinSideCaption = 'NEWS010TEXT',
		sLoseMainCaption = 'NEWS007TEXT',
        sLoseSideCaption = 'NEWS008TEXT',
        bIsBossFight = true,
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',  
]]--
        nCrimeLevelReduction = 0,
        sMapButtonIconOverride = 'map_icon_valentine',
        sEventSetName = 'Valentines',
    },
    
    Godzilla_1 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "GodzillaBG.lua",
        eventClassName = 'GodzillaEvent1',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Beastfly = { sCharDefKey = 'BeastflyLvl1', },
                      },
        },
        Rewards =
	    {
--            Cash = 50,
            WinXP = 25,
        },
        sEventType = 'godzilla',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },

    Godzilla_2 = {
        bNoAutoResolve = true,
        nLevel = 1,
        bgDefFile = "GodzillaBG.lua",
        eventClassName = 'GodzillaEvent2',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Beastfly = { sCharDefKey = 'BeastflyLvl1', },
                      },
        },
        Rewards =
	    {
            PP = 10,
            WinXP = 25,          
        },
        sEventType = 'godzilla',
        sWinHeadline = 'NEWS001TEXT',
        nWinHeadlineFontSize = 57,
        nWinHeadlineVerticalOffset = -5,
        sLoseHeadline = 'NEWS002TEXT',
        nLoseHeadlineFontSize = 59,
        nLoseHeadlineVerticalOffset = -5,
        sWinMainCaption = 'NEWS020TEXT',
        sWinSideCaption = 'NEWS021TEXT',
		sLoseMainCaption = 'NEWS018TEXT',
        sLoseSideCaption = 'NEWS019TEXT',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',   
        nCrimeLevelReduction = 1, 
        bIsBossFight = true,
    },
    
    -- RARE THUGS
    seniorrobberylvl1_1 = {   
        nLevel = 1,
        mmlevel = 3,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SeniorThugLvl1', },
                          Enemy2 = { sCharDefKey = 'SeniorThugLvl1', },
                          Enemy3 = { sCharDefKey = 'SeniorThugLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
            WinXP = 100,
            tDrops = tRareDrops,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        bRemoveAfterFailure = true,
        nCrimeLevelReduction = 1,
        sRareEventKey = 'seniorthugs',
        sEventType = 'seniorcrime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    seniorrobberylvl1_2 = {   
        nLevel = 1,
        mmlevel = 5,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SeniorHenchmanRangedLvl1', },
                          Enemy2 = { sCharDefKey = 'SeniorHenchmanRangedLvl1', },                          
                          Enemy3 = { sCharDefKey = 'SeniorHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
        -- these guys need to drop a rare piece of equipment
            tDrops = tRareDrops,     
            WinXP = 100,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        bRemoveAfterFailure = true,
        nCrimeLevelReduction = 1,
        sRareEventKey = 'seniorthugs',
        sEventType = 'seniorcrime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    
    seniorrobberylvl1_3 = {   
        nLevel = 1,
        mmlevel = 7,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SeniorThugLvl2', },
                          Enemy2 = { sCharDefKey = 'SeniorThugLvl2', },
                          Enemy3 = { sCharDefKey = 'SeniorThugLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
        -- these guys need to drop a rare piece of equipment
            tDrops = tRareDrops,      
            WinXP = 100,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        bRemoveAfterFailure = true,
        nCrimeLevelReduction = 1,
        sRareEventKey = 'seniorthugs',
        sEventType = 'seniorcrime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },
    
    seniorrobberylvl1_4 = {   
        nLevel = 1,
        mmlevel = 9,
        bgDefFile = "Street_night.lua",
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'SeniorHenchmanRangedLvl2', },
                          Enemy2 = { sCharDefKey = 'SeniorHenchmanRangedLvl2', },
                          Enemy3 = { sCharDefKey = 'SeniorHenchmanRangedLvl1', },
                      },
            OtherActors = {
                              Citizen = { sCharDefKey = 'CitiMan', },
                          },
        },
        eventClassName = 'RobberyEvent',
        Rewards =
	    {
        -- these guys need to drop a rare piece of equipment     
            tDrops = tRareDrops,
            WinXP = 100,
        },
        nMaxHeroes = 4,
        bUseRandomOverride = true,
        bRemoveAfterFailure = true,
        nCrimeLevelReduction = 1,
        sRareEventKey = 'seniorthugs',
        sEventType = 'seniorcrime',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_CombatLoop',
    },

-- MOST WANTED
    mostwanted_1 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent1',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted01Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tMostWantedDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_2 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent2',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted02Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tRareDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_3 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent3',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted03Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tRareDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_4 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent4',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted04Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tRareDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_5 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent5',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted05Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tRareDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_6 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent6',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted06Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tMostWantedDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_7 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent7',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted07Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tMostWantedDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_8 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent8',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted08Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tRareDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_9 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent9',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted09Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tRareDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
    
    mostwanted_10 = {
        bNoAutoResolve = true,
        bRemoveAfterFailure = true,
        nLevel = 1,
        bgDefFile = "CityHall.lua",
        eventClassName = 'MostWantedEvent10',
        bHasInfiniteDuration = true,
        tActors =
        {
            Enemies = {
                          Enemy1 = { sCharDefKey = 'MostWanted10Lvl1', },
                      },
        },
        Rewards =
	    {
            tDrops = tMostWantedDrops,
            WinXP = 250,
        },
        sRareEventKey = 'mostwanted',
        sEventType = 'mostwanted',
        sMusicCue = 'MMOJ_Audio/Music/MMOJ_BossFight',
        nCrimeLevelReduction = 1,
    },
}    
local tRandomEventOverrides =
{
    {
        bgDefFile = "Street.lua",
    },
    {
        bgDefFile = "Street_night.lua",
    },
    {
        bgDefFile = "BurningBuilding.lua",
    },
    {
        bgDefFile = "BurningBuilding_night.lua",
    },
    {
        bgDefFile = "RunawayBusBG.lua",
    },
    {
        bgDefFile = "RunawayBusBG_night.lua",
    },
        {
        bgDefFile = "Rooftop.lua",
    },
}

 local tEndGameEvents =
{
    'firerescuelvl1_1',
    'busrescuelvl1_1',
    'robberylvl6_4',
    'robberylvl6_3',
    'robberylvl6_2',
    'robberylvl5_5',
}

local tSeniorRobberyEvents =
{
    {
        sEventKey = 'seniorrobberylvl1_1',
        nMinMMLevel = 3,
    },
    {
        sEventKey = 'seniorrobberylvl1_2',
        nMinMMLevel = 4,
    },
    {
        sEventKey = 'seniorrobberylvl1_3',
        nMinMMLevel = 6,
    },
    {
        sEventKey = 'seniorrobberylvl1_4',
        nMinMMLevel = 8,
    },
}

local tMostWantedEvents =
{
    {
        sEventKey = 'mostwanted_8',--patches
        nMinMMLevel = 3,
    },
    {
        sEventKey = 'mostwanted_3', --admin of murder
        nMinMMLevel = 3,
    },
    {
        sEventKey = 'mostwanted_2', --dirty rat
        nMinMMLevel = 4,
    },
    {
        sEventKey = 'mostwanted_5', --mustafa jr.
        nMinMMLevel = 4,
    },
    {
        sEventKey = 'mostwanted_4', --slapshot
        nMinMMLevel = 6,
    },
    {
        sEventKey = 'mostwanted_9', --heistmeister
        nMinMMLevel = 6,
    },
    {
        sEventKey = 'mostwanted_1', --dr. shiv
        nMinMMLevel = 8,
    }, 
    {
        sEventKey = 'mostwanted_10', --mugging director
        nMinMMLevel = 8,
    },   
    {
        sEventKey = 'mostwanted_6', --meathooks
        nMinMMLevel = 10,
    },
    {
        sEventKey = 'mostwanted_7', --kneecapper
        nMinMMLevel = 10,
    },    
}

local rRareEventSpawnInfo =
{
    -- this processes in order
    {
        sKey = 'mostwanted',
        nMaxConcurrent = 1,
        rSpawnChanceInfo =
        {
            { tNumWOSpawn = { 0, 5 }, nChance = 0 },
            { tNumWOSpawn = { 6, 10 }, nChance = 20 },            
            { tNumWOSpawn = { 11 }, nChance = 30 },
        },
        tEvents = tMostWantedEvents,
        bNoRepeat = true,
    },
    {
        sKey = 'seniorthugs',
        nMaxConcurrent = 1,
        rSpawnChanceInfo =
        {
            { tNumWOSpawn = { 0, 5 }, nChance = 0 },
            { tNumWOSpawn = { 6, 10 }, nChance = 30 },   
            { tNumWOSpawn = { 11 }, nChance = 40 },         
        },
        tEvents = tSeniorRobberyEvents,
    },
}

return
{
    tEventDefs = tEventDefs,
    tRandomEventOverrides = tRandomEventOverrides,
    tEndGameEvents = tEndGameEvents,
    rRareEventSpawnInfo = rRareEventSpawnInfo,
}