local tDefs =
{
    pppack1 = {
        sName = "CURR004TEXT",
        iconName = 'icon_pp_xs',
        sAppleProductID = 'com.doublefine.mmoj.pp_pack1',
        bIsPremiumCurrency = true,
        nPPToGive = 15,
    },
    pppack2 = {
        sName = "CURR005TEXT",
        iconName = 'icon_pp_s',
        sAppleProductID = 'com.doublefine.mmoj.pp_pack2',
        bIsPremiumCurrency = true,
        nPPToGive = 85,
    },
    pppack3 = {
        sName = "CURR006TEXT",
        iconName = 'icon_pp_m',
        sAppleProductID = 'com.doublefine.mmoj.pp_pack3',
        bIsPremiumCurrency = true,
        nPPToGive = 200,
    },
    pppack4 = {
        sName = "CURR014TEXT",
        iconName = 'icon_pp_l',
        sAppleProductID = 'com.doublefine.mmoj.pp_pack4',
        bIsPremiumCurrency = true,
        nPPToGive = 450,
    },
    coindoubler = {
        sName = "CURR007TEXT",
        sDescription = "CURR008TEXT",
        iconName = 'icon_prop_coindoubler',
        bIsCoinDoubler = true,
        sPremiumPurchaseSprite = "MM_CoinDoubler",
        sPremiumPurchaseSpriteSheet = "BaseProps2",
        sAppleProductID = 'com.doublefine.mmoj.coindoubler',
        sItemType = 'CoinDoubler',
        sSpriteSheet = 'UI/icons4',
        sPropName = 'coindoubler',
        bPermanent = true,
        nPremiumPurchaseOverrideWidth = 100,
    },
    ppplant = {
        sName = "CURR016TEXT",
        sDescription = "CURR019TEXT",
        iconName = 'icon_prop_ppplant',
        sPremiumPurchaseSprite = "MM_SuperiumTree",
        sPremiumPurchaseSpriteSheet = "BaseProps4",
        sAppleProductID = 'com.doublefine.mmoj.ppplant',
        sItemType = 'PPGeneratorProp',
        sSpriteSheet = 'UI/icons4',
        sPropName = 'superiumtree',
        bPermanent = true,
        bIsPPPlant = true,
        nPremiumPurchaseOverrideWidth = 60,
        nPremiumPurchaseOverrideHeight = 120,
    },
}

local tList = 
{
    'coindoubler',
    'ppplant',
    'pppack1',
    'pppack2',
    'pppack3',
    'pppack4',
}

return
{
    tList = tList,
    tDefs = tDefs,
}