return {
   bboard =  {
                proptype = "bboard",
                buttonRect = { x = 12, y = 82, h = 128, w = 160 },
             },
   bedlvl1 = {                 
                proptype = "bed",
				upgradeCost = 200,
                mmlvl = 1,
                roomlvl = 1,
                nMaxUsers = 1,
                nLevel = 1,
                interactOffset = { { x = 30, y = 38 } },
                interactPriOffset = { 1 },
				visualName = "PROP001TEXT",
				visualDescription = "PROP009TEXT",
                propUpgrade = "bedlvl2",
                interactAnim = "sleep",
                hpRefreshRatePerSec = 2,
                researchIconName = 'icon_room_rest',
                bResearched = true,
                buttonRect = { x = 20, y = 49, h = 110, w = 216 }
             },
   bedlvl2 = {                 
                proptype = "bed",
                imgName = "Bedroom_Bed_Lvl2",
                imgIndex = 1,
				upgradeCost = 250,
                mmlvl = 2,    
                roomlvl = 1,
                nMaxUsers = 1,
                nLevel = 2,
                interactOffset = { { x = 30, y = 38 } },
                interactPriOffset = { 1 },
				visualName = "PROP001TEXT",
				visualDescription = "PROP010TEXT",
                propUpgrade = "bedlvl3",
                interactAnim = "sleep",
                hpRefreshRatePerSec = 3,
                sUpgradePrefix = "PROP026TEXT",
                nUpgradeVisualPct = 50,
                researchIconName = 'icon_room_rest',
                sDefKeyRequiredToResearch = 'bedlvl1',
                nResearchDuration = 180,
                nRoomLevel = 1,           
                buttonRect = { x = 20, y = 49, h = 110, w = 216 }
             },
   bedlvl3 = {                 
                proptype = "bed",
                imgName = "Bedroom_Bed_Lvl3",
                imgIndex = 1,
				upgradeCost = 400,
                mmlvl = 4,    
                roomlvl = 1,
                nMaxUsers = 1,
                nLevel = 3,
                interactOffset = { { x = 30, y = 38 } },
                interactPriOffset = { 1 },
				visualName = "PROP001TEXT",
				visualDescription = "PROP011TEXT",
                interactAnim = "sleep",
                hpRefreshRatePerSec = 6,
                sUpgradePrefix = "PROP026TEXT",
                nUpgradeVisualPct = 100,
                researchIconName = 'icon_room_rest',
                sDefKeyRequiredToResearch = 'bedlvl2',
                nResearchDuration = 300,
                nRoomLevel = 2,
                buttonRect = { x = 20, y = 49, h = 110, w = 216 }
             },
   punchingbaglvl1 = {                 
                proptype = "workout",
				upgradeCost = 200,
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP002TEXT",
				visualDescription = "PROP012TEXT",
                propUpgrade = "punchingbaglvl2",
                interactAnim = "punch",
                nMaxUsers = 1,
                nLevel = 1,
                interactOffset = { { x = -60, y = 30 } },
                interactPriOffset = { 100 },
                interactionTileOffset = { 1, 1 },
                bInteractAnimFlipX = true,
                duration = 60,
                trainSpeed = 1,
                researchIconName = 'icon_room_gym',
                bResearched = true,
                buttonRect = { x = 16, y = 30, h = 108, w = 62 },
             },
   punchingbaglvl2 = {                 
                proptype = "workout",
                imgName = "Gym_PunchingBag_Lvl2",
                imgIndex = 1,
				upgradeCost = 250,
                mmlvl = 2,    
                roomlvl = 1,
				visualName = "PROP002TEXT",
				visualDescription = "PROP013TEXT",
                propUpgrade = "punchingbaglvl3",
                interactAnim = "punch",
                nMaxUsers = 1,
                nLevel = 2,
                interactOffset = { { x = -60, y = 30 } },
                interactPriOffset = { 100 },
                interactionTileOffset = { 1, 1 },
                bInteractAnimFlipX = true,
                duration = 60,
                trainingIncrement = 2,
                sUpgradePrefix = "PROP025TEXT",
                nUpgradeVisualPct = 25,
                trainSpeed = 1.25,
                researchIconName = 'icon_room_gym',
                sDefKeyRequiredToResearch = 'punchingbaglvl1',
                nResearchDuration = 180,
                nRoomLevel = 1,
                buttonRect = { x = 16, y = 30, h = 108, w = 62 },
             },
   punchingbaglvl3 = {                 
                proptype = "workout",
                imgName = "Gym_PunchingBag_Lvl3",
                imgIndex = 1,
				upgradeCost = 400,
                mmlvl = 4,    
                roomlvl = 1,
				visualName = "PROP002TEXT",
				visualDescription = "PROP014TEXT",
                interactAnim = "punch",
                nMaxUsers = 1,
                nLevel = 3,
                interactOffset = { { x = -60, y = 30 } },
                interactPriOffset = { 100 },
                interactionTileOffset = { 1, 1 },
                bInteractAnimFlipX = true,
                duration = 60, 
                sUpgradePrefix = "PROP025TEXT",
                nUpgradeVisualPct = 50,
                trainSpeed = 1.5,
                researchIconName = 'icon_room_gym',
                sDefKeyRequiredToResearch = 'punchingbaglvl2',
                nResearchDuration = 300,
                nRoomLevel = 2,
                buttonRect = { x = 16, y = 30, h = 108, w = 62 },
             },
   treadmilllvl1 = {                 
                proptype = "workout",
				upgradeCost = 200,
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP003TEXT",
				visualDescription = "PROP015TEXT",
                propUpgrade = "treadmilllvl2",
                interactAnim = "run",
                nMaxUsers = 1,
                nLevel = 1,
                interactOffset = { { x = -6, y = 6 } },
                interactPriOffset = { 1 },
                interactionTileOffset = { -1, 0 },
--                interactPriOffset = { 0.0001 },
                bInteractAnimFlipX = false,
                duration = 60,
                researchIconName = 'icon_room_gym',
                bResearched = true,
                buttonRect = { x = 12, y = 26, h = 72, w = 160 },
             },
   treadmilllvl2 = {                 
                proptype = "workout",
                imgName = "Gym_Treadmill_Lvl2",
                imgIndex = 1,
				upgradeCost = 250,
                mmlvl = 2,    
                roomlvl = 1,
				visualName = "PROP003TEXT",
				visualDescription = "PROP016TEXT",
                propUpgrade = "treadmilllvl3",
                nMaxUsers = 1,
                nLevel = 2,
                interactAnim = "run",
                interactOffset = { { x = 0, y = 14 } },
                interactionTileOffset = { -1, 0 },
                interactPriOffset = { 1 },
                bInteractAnimFlipX = false,
                duration = 60,
                sUpgradePrefix = "PROP025TEXT",
                nUpgradeVisualPct = 25,
                researchIconName = 'icon_room_gym',
                sDefKeyRequiredToResearch = 'treadmilllvl1',
                nResearchDuration = 180,
                nRoomLevel = 1,
                buttonRect = { x = 8, y = -64, h = 128, w = 200 },
             },
   treadmilllvl3 = {                 
                proptype = "workout",
                imgName = "Gym_Treadmill_Lvl3",
                imgIndex = 1,
				upgradeCost = 400,
                mmlvl = 4,    
                roomlvl = 1,
				visualName = "PROP003TEXT",
				visualDescription = "PROP017TEXT",
                nMaxUsers = 1,
                nLevel = 3,
                interactAnim = "run",
                interactOffset = { { x = 0, y = 14 } },
                interactionTileOffset = { -1, 0 },
                interactPriOffset = { 1 },
                bInteractAnimFlipX = false,
                duration = 60,
                sUpgradePrefix = "PROP025TEXT",
                nUpgradeVisualPct = 50,
                trainSpeed = 1.5,
                researchIconName = 'icon_room_gym',
                sDefKeyRequiredToResearch = 'treadmilllvl2',
                nResearchDuration = 300,
                nRoomLevel = 2,
                buttonRect = { x = 8, y = -64, h = 128, w = 200 },
             },
   computerlvl1 = {                 
                proptype = "research",
				upgradeCost = 200,
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP004TEXT",
				visualDescription = "PROP018TEXT",
                propUpgrade = "computerlvl2",
                interactAnim = "studyLoop",
                nMaxUsers = 1,
                nLevel = 1,
                interactOffset = { { x = 0, y = 10 } },
                interactPriOffset = { 1 },
                bInteractAnimFlipX = true,
                researchSpeed = 1,
                researchIconName = 'icon_room_lab',
                bResearched = true,
                buttonRect = { x = 34, y = 64, h = 120, w = 180 },
             },
   computerlvl2 = {                 
                proptype = "research",
                imgName = "Lab_Desk_Lvl2",
                imgIndex = 1,
				upgradeCost = 250,
                mmlvl = 5,    
                roomlvl = 1,
				visualName = "PROP004TEXT",
				visualDescription = "PROP019TEXT",
                propUpgrade = "computerlvl3",
                interactAnim = "studyLoop",
                nMaxUsers = 1,
                nLevel = 2,
                interactOffset = { { x = 0, y = 10 } },
                interactPriOffset = { 1 },
                bInteractAnimFlipX = true,
                sUpgradePrefix = "PROP030TEXT",
                nUpgradeVisualPct = 25,
                researchSpeed = 1.25,
                researchIconName = 'icon_room_lab',
                sDefKeyRequiredToResearch = 'computerlvl1',
                nResearchDuration = 180,
                nRoomLevel = 1,
                buttonRect = { x = 34, y = 64, h = 112, w = 164 },
             },
   computerlvl3 = {                 
                proptype = "research",
                imgName = "Lab_Desk_Lvl3",
                imgIndex = 1,
				upgradeCost = 400,
                mmlvl = 7,    
                roomlvl = 1,
				visualName = "PROP004TEXT",
				visualDescription = "PROP020TEXT",
                interactAnim = "studyLoop",
                nMaxUsers = 1,
                nLevel = 3,
                interactOffset = { { x = 0, y = 10 } },
                interactPriOffset = { 1 },
                bInteractAnimFlipX = true,
                sUpgradePrefix = "PROP030TEXT",
                nUpgradeVisualPct = 50,
                researchSpeed = 1.5,
                researchIconName = 'icon_room_lab',
                sDefKeyRequiredToResearch = 'computerlvl2',
                nResearchDuration = 300,
                nRoomLevel = 2,
                buttonRect = { x = 34, y = 64, h = 112, w = 164 },
             },
   televisionlvl1 = {                 
                proptype = "recreation",
				upgradeCost = 200,
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP005TEXT",
				visualDescription = "PROP021TEXT",
                propUpgrade = "televisionlvl2",
                interactAnim = "watchtv",
                nMaxUsers = 3,
                nLevel = 1,
                interactOffset = { { x = 60, y = 10 }, { x = 90, y = 30 }, { x = 130, y = 50 } },
                interactPriOffset = { -1, -2, -3 },
                duration = 40,
                researchIconName = 'icon_room_vacation',    
                sDefaultAnim = "tv1",
                bResearched = true,
                interactionTileOffset = { 2, 4 },
                buttonRect = { x = 16, y = 0, h = 180, w = 180 },
             },
   televisionlvl2 = {                 
                proptype = "recreation",
                imgName = "Canteen_TV_Lvl2",
                imgIndex = 1,
				upgradeCost = 250,
                mmlvl = 5,    
                roomlvl = 1,
				visualName = "PROP005TEXT",
				visualDescription = "PROP022TEXT",
                propUpgrade = "televisionlvl3",
                interactAnim = "watchtv",
                nMaxUsers = 3,
                nLevel = 2,
                interactOffset = { { x = 60, y = 10 }, { x = 90, y = 30 }, { x = 130, y = 50 } },
                interactPriOffset = { -1000, -2000, -3000 },
                duration = 30,
                moraleRatePerSec = 0.01,
                sUpgradePrefix = "PROP027TEXT",
                nUpgradeVisualPct = 25,
                researchIconName = 'icon_room_vacation',
                sDefKeyRequiredToResearch = 'televisionlvl1',
                sDefaultAnim = "tv2",
                nResearchDuration = 180,
                nRoomLevel = 2,
                interactionTileOffset = { 2, 4 },
                buttonRect = { x = 16, y = 0, h = 180, w = 180 },
             },
   televisionlvl3 = {                 
                proptype = "recreation",
                imgName = "Canteen_TV_Lvl3",
                imgIndex = 1,
				upgradeCost = 400,
                mmlvl = 7,    
                roomlvl = 1,
				visualName = "PROP005TEXT",
				visualDescription = "PROP023TEXT",
                interactAnim = "watchtv",
                nMaxUsers = 3,
                nLevel = 3,
                interactOffset = { { x = 60, y = 10 }, { x = 90, y = 30 }, { x = 130, y = 50 } },
                interactPriOffset = { -1000, -2000, -3000 },
                duration = 20,
                sUpgradePrefix = "PROP027TEXT",
                nUpgradeVisualPct = 33,
                researchIconName = 'icon_room_vacation',
                sDefKeyRequiredToResearch = 'televisionlvl2',
                sDefaultAnim = "tv3",
                nResearchDuration = 300,
                nRoomLevel = 2,
                interactionTileOffset = { 2, 4 },
                buttonRect = { x = 16, y = 0, h = 180, w = 180 },
             },
   workcomplvl1 = {                 
                proptype = "work",
				upgradeCost = 300,
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP006TEXT",
				visualDescription = "A Tandy",
                propUpgrade = "workcomplvl2",
                interactAnim = "work",
                nMaxUsers = 1,
                nLevel = 1,
                interactOffset = { { x = 80, y = 20 } },
                interactPriOffset = { -1000 },
                nCashPerSec = 0.5,
                researchIconName = 'icon_room_parttimejob',
                bResearched = true,
                bTeleportToProp = true,
                buttonRect = { x = 102, y = 32, h = 116, w = 116 },
             },
   workcomplvl2 = {                 
                proptype = "work",
                imgName = "Cubes_Monitor_Lvl2",
                imgIndex = 1,
				upgradeCost = 500,
                mmlvl = 5,    
                roomlvl = 1,
				visualName = "PROP006TEXT",
				visualDescription = "A Tandy",
                propUpgrade = "workcomplvl3",
                interactAnim = "work",              
                nMaxUsers = 1,
                nLevel = 2,
                interactOffset = { { x = 80, y = 20 } },
                interactPriOffset = { -1000 },
                nCashPerSec = 0.75,
                sUpgradePrefix = "PROP029TEXT",
                nUpgradeVisualPct = 100,
                researchIconName = 'icon_room_parttimejob',
                sDefKeyRequiredToResearch = 'workcomplvl1',
                nResearchDuration = 180,
                nRoomLevel = 1,
                bTeleportToProp = true,
                buttonRect = { x = 102, y = 32, h = 116, w = 116 },
             },
   workcomplvl3 = {                 
                proptype = "work",
                imgName = "Cubes_Monitor_Lvl3",
                imgIndex = 1,
				upgradeCost = 700,
                mmlvl = 8,    
                roomlvl = 1,
				visualName = "PROP006TEXT",
				visualDescription = "A Tandy",
                interactAnim = "work",
                nMaxUsers = 1,
                nLevel = 3,
                interactOffset = { { x = 80, y = 20 } },
                interactPriOffset = { -1000 },
                nCashPerSec = 1,
                sUpgradePrefix = "PROP029TEXT",
                nUpgradeVisualPct = 50,
                researchIconName = 'icon_room_parttimejob',
                sDefKeyRequiredToResearch = 'workcomplvl2',
                nResearchDuration = 300,
                nRoomLevel = 2,
                bTeleportToProp = true,
                buttonRect = { x = 102, y = 32, h = 116, w = 116 },
             },

   trainingdummylvl1 = {                 
                proptype = "trainingdummy",
				upgradeCost = 200,
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP024TEXT",
				visualDescription = "PROP012TEXT",
                propUpgrade = "trainingdummylvl2",
                interactAnim = "punch",
                nMaxUsers = 1,
                nLevel = 1,
                interactOffset = { { x = -60, y = 30 } },
                interactPriOffset = { 1 },
                interactionTileOffset = { 1, 1 },
                bInteractAnimFlipX = true,
                nDurationMultiplier = 1,
                researchIconName = 'icon_room_gym',
                bResearched = true,
                buttonRect = { x = 24, y = 50, h = 128, w = 60 },
             },
   trainingdummylvl2 = {                 
                proptype = "trainingdummy",
                imgName = "GymAlt_Dummy_Lvl2",
                imgIndex = 1,
				upgradeCost = 250,
                mmlvl = 5,    
                roomlvl = 1,
				visualName = "PROP024TEXT",
				visualDescription = "PROP013TEXT",
                propUpgrade = "trainingdummylvl3",
                interactAnim = "punch",
                nMaxUsers = 1,
                nLevel = 2,
                interactOffset = { { x = -60, y = 30 } },
                interactPriOffset = { 1 },
                interactionTileOffset = { 1, 1 },
                bInteractAnimFlipX = true,
                nDurationMultiplier = 0.9,
                sUpgradePrefix = "PROP028TEXT",
                nUpgradeVisualPct = 10,
                researchIconName = 'icon_room_gym',
                sDefKeyRequiredToResearch = 'trainingdummylvl1',
                nResearchDuration = 180,
                nRoomLevel = 1,
                buttonRect = { x = 24, y = 50, h = 128, w = 60 },
             },
   trainingdummylvl3 = {                 
                proptype = "trainingdummy",
                imgName = "GymAlt_Dummy_Lvl3",
                imgIndex = 1,
				upgradeCost = 400,
                mmlvl = 7,    
                roomlvl = 1,
				visualName = "PROP024TEXT",
				visualDescription = "PROP014TEXT",
                interactAnim = "punch",
                nMaxUsers = 1,
                nLevel = 3,
                interactOffset = { { x = -60, y = 30 } },
                interactPriOffset = { 1 },
                interactionTileOffset = { 1, 1 },
                bInteractAnimFlipX = true,
                duration = 60,
                nDurationMultiplier = 0.8,
                sUpgradePrefix = "PROP028TEXT",
                nUpgradeVisualPct = 10,
                researchIconName = 'icon_room_gym',
                sDefKeyRequiredToResearch = 'trainingdummylvl2',
                nResearchDuration = 300,
                nRoomLevel = 2,
                buttonRect = { x = 24, y = 50, h = 128, w = 60 },
             },

-- middle manager props
   mmcomputer = {
                proptype = "mmcomp",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP008TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 34, y = 50 } },
                interactPriOffset = { -1001 },
                bResearched = true,                
                bTeleportToProp = true,
                nCashPerSec = 0.1,
                interactAnim = "desktype",
                bUnlocked=true,
                interactionSpriteSheets = {
                                              default = { 
                                                            "Characters/MM/MMDesk",
                                                            "Characters/MM/MMDesk_2",
                                                            "Characters/MM/MMDesk_3",
                                                        },
                                              sunglasses = {
                                                            "Characters/MM/MMDesk_Sunglasses",
                                                            "Characters/MM/MMDesk_Sunglasses_2",
                                                            "Characters/MM/MMDesk_Sunglasses_3",
                                                        },
                                          }
             },

   coindoubler = {
                proptype = "coindoubler",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP007TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                bResearched = true,
             },

   watercooler = {
                proptype = "watercooler",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP007TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                bResearched = true,
             },
             

   juicer = {
                proptype = "juicer",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP007TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                bResearched = true,
             },
   blender = {
                proptype = "blender",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP007TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                bResearched = true,
             },
   yak = {
                proptype = "yak",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP007TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                bResearched = true,
             },
             
  coffeemaker = {
                proptype = "coffeemaker",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "EQIP065TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                bResearched = true,
             },
   superiumtree = {
                proptype = "superiumtree",
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP051TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                buttonRect = { x = 24, y = 16, h = 140, w = 64 },
                bResearched = true,
                bUnlocked = false,
                nCollectionTime = 900,                
             },
   congratulationsbanner = {
                proptype = "congratulationsbanner",
             },
   congratulationsdecor = {
                proptype = "congratulationsdecor",
             },
   congratulationsdecor2 = {
                proptype = "congratulationsdecor2",
             },
   congratulationsballoon = {
                proptype = "congratulationsballoon",
             },
   congratulationscaketable= {
                proptype = "congratulationscaketable",
             },
   newyearballoon2013 = {
                            proptype = "newyearballoon2013",
                        },
   xmasgiftboxa = {
                            proptype = "xmasgiftboxa",
                        },   
   xmasgiftboxb = {
                            proptype = "xmasgiftboxb",
                        },   
   xmaswreath = {
                            proptype = "xmaswreath",
                        }, 
   xmasstockinga = {
                            proptype = "xmasstockinga",
                        },   
   xmasstockingb = {
                            proptype = "xmasstockingb",
                        }, 
   xmasstockingc = {
                            proptype = "xmasstockingc",
                        },  
   xmastree = {
                            proptype = "xmastree",
                        },   
   newyeardecor3 = {
                            proptype = "newyeardecor3",
                        },   
   xmasdecor4 = {
                            proptype = "xmasdecor4",
                        },   
   valentinesdecor4 = {
                            proptype = "valentinesdecor4",
                        },   
   valentinesdecor5 = {
                            proptype = "valentinesdecor5",
                        },   
   newyearbanner = {
                            proptype = "newyearbanner",
                        },   
   valentineheart = {
                            proptype = "valentineheart",
                        },   
   newyeartable2013 = {
                            proptype = "newyeartable2013",
                        },   
   valentineballoon = {
                            proptype = "valentineballoon",
                        },   
   valentinebanner = {
                            proptype = "valentinebanner",
                        },   
   valentinetable = {
                            proptype = "valentinetable",
                        },   
   pizzatable = {
                    proptype = "pizzatable",
                    sUnlockVar = 'PizzaTableOn',
                },

   cow =  {
                proptype = "cow",
                buttonRect = { x = 0, y = 32, h = 100, w = 200 },
                soundCue = 'MMOJ_Audio/SFX/Office/Cow',
                bUnlocked=true,
             },
   car =  {
                proptype = "car",
                buttonRect = { x = 24, y = 24, h = 128, w = 228 },
                soundCue = 'MMOJ_Audio/SFX/Office/ParkedCar',
                bUnlocked=true,
             },
   policecar =  {
                proptype = "policecar",
                buttonRect = { x = 24, y = 24, h = 128, w = 228 },
                soundCue = 'MMOJ_Audio/SFX/Office/PoliceCar',
                bUnlocked=true,
             },
   mailbox =  {
                proptype = "mailbox",
                buttonRect = { x = 64, y = 16, h = 80, w = 64 },
                soundCue = 'MMOJ_Audio/SFX/Office/Mailbox',
                bUnlocked=true,
             },

   leaderboard =  {
                proptype = "leaderboard",
                buttonRect = { x = 22, y = 110, h = 120, w = 130 },
                soundCue = 'MMOJ_Audio/SFX/Office/Mailbox',
                bUnlocked=true,
             },
   roster =  {
                proptype = "roster",
                buttonRect = { x = 30, y = 80, w = 110, h = 120, },
                soundCue = 'MMOJ_Audio/SFX/Office/Mailbox',
                bUnlocked=true,
             },
   mmmap = {
                proptype = "mmmap",
                buttonRect = { x = 30, y = 50, w = 210, h = 200, },
                mmlvl = 1,    
                roomlvl = 1,
				visualName = "PROP007TEXT",
				visualDescription = "Hand made",
                nMaxUsers = 1,
                interactOffset = { { x = 20, y = 0 } },
                interactPriOffset = { 1 },
                bResearched = true,
                bUnlocked=true,
                interactionSpriteSheets = {
                                              default = {                                                                                                     "Characters/MM/MMMap",
                                                        },
                                              sunglasses = {                                                                                                     "Characters/MM/MMMap_Sunglasses",
                                                        },
                                          }
             },
   mostwantedposter =  {
                proptype = "mostwantedposter",
                buttonRect = { x = 0, y = 70, h = 128, w = 80 },
                bUnlocked = true,
             },
            
   MM_Crystal =  {
                proptype = "MM_Crystal",
                buttonRect = { x = 0, y = 170, h = 80, w = 80 },
                bUnlocked = true,
             },
             
   MM_Desk2 =  {
                proptype = "MM_Desk2",
                bUnlocked = true,
             },

}
