-- Uncomment and change LOG_STATUS to change the spamminess from default
-- MOAILogMgr.setLogLevel ( MOAILogMgr.LOG_STATUS )

-- Make the texture spam less verbose (or disable entirely)
-- MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAITexture_MemoryUse_SDFS, '%s%6lu %3.0fM %s' )
MOAILogMgr.registerLogMessage ( MOAILogMgr.MOAITexture_MemoryUse_SDFS, '' )


if MOAIEnvironment.osBrand == "iOS" then
	package.path = "Data/Scripts/?.lua;"

elseif MOAIEnvironment.osBrand == "Android" then
	-- 
	-- This came from the old android-only "init.lua" file, which we've removed
	--
	print = function(sMsg)
		MOAILogMgr.log( tostring(sMsg) )
	end
	print( "load: running config.lua" )
	
	local old_error = error
	error = function(message, level)
		print( "error: " .. message)
		print( debug.traceback ( "", 2 ))
		old_error( message .. " " .. tostring(level or 1) )
	end

    package.path = "Data/Scripts/?.lua;CommonLua/?.lua;MoaiLua/?.lua"

elseif MOAIEnvironment.osBrand == "OSX" then
	package.path = "Data/Scripts/?.lua;../Common/Code/Lua/?.lua;../Common/Code/Moai/src/lua-modules/?.lua"

elseif MOAIEnvironment.osBrand == "Linux" then
    package.path = "Data/Scripts/?.lua;../Common/Code/Lua/?.lua;../Common/Code/Moai/src/lua-modules/?.lua"

elseif MOAIEnvironment.osBrand == "Windows" then
	package.path = "Data/Scripts/?.lua;../Common/Code/Lua/?.lua;../Common/Code/Moai/src/lua-modules/?.lua"
    MOAIEnvironment.appID = 'com.doublefine.mmoj'
    MOAIEnvironment.appDisplayName = 'Mmoj'
    MOAIEnvironment.appVersion = "1.2.0"
    MOAIEnvironment.appBuild = "1"
    MOAIEnvironment.documentDirectory = MOAIEnvironment.documentDirectory.."/"..MOAIEnvironment.appDisplayName
    MOAIEnvironment.connectionType = MOAIEnvironment.CONNECTION_TYPE_WIFI

else
    print("Unrecognized OS brand '" .. MOAIEnvironment.osBrand .. '"')
end
