local MissionManager = {}

function MissionManager:init()
    local Ob = {}
    Ob.tActiveMissions = {}
    
    function Ob:startMission(rMission)
        if rMission then
            table.insert(self.tActiveMissions, rMission)
            rMission:startMission()
        end
    end

    function Ob:endMission(rMission)
        if rMission then
            rMission:endMission()
            for k, v in ipairs(self.tActiveMissions) do
                if v == rMission then
                    table.remove(self.tActiveMissions, k)
                    return
                end
            end
        end
    end

    return Ob
end

return MissionManager