return 
{
    PummelPark = { 
        --shady acres
        index = 'PummelPark', 
        name = "AREAS001TEXT", 
        nMaxCrimeLevel = 5, 
        nCurrCrimeLevel = 0, 
        bUnlocked = false, 
        nEventGenTime = 40,
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },
        tEventInfos = 
        { 
            {   
                nMaxCrimeLevel = 4,
                tInfos = {
                    { nPossibility = 40, sEventKey = 'robberylvl1_1' },
                    { nPossibility = 60, sEventKey = 'robberylvl1_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl1_3' },                    
                },
            },
            {   
                tInfos = {
                    { nPossibility = 50, sEventKey = 'robberylvl1_1' },
                    { nPossibility = 100, sEventKey = 'robberylvl1_2' },
                },
            },
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'introbossfight',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'introevent_3',
            },
        },
        tMapUIInfo = { loc = { x = 840, y = -890 }, textSize = 18, buttonInfo = { xScale = 250, yScale = 100, xOffset = -120, yOffset = 0 }, eventIndicatorLocs = { { x = -84, y = -50 }, { x = -250, y = -50 }, { x = 10, y = 0 } }, happinessLoc = { x = -140, y = -20 }, bossPortraitSpriteName = 'map_icon_skullface' },
        sRewardText = "COMM001TEXT",
    },
    StabbersRange = { 
        --townville
        index = 'StabbersRange', 
        name = "AREAS002TEXT", 
        nMaxCrimeLevel = 10,
        nCurrCrimeLevel = 0, 
        bUnlocked = false, 
        nEventGenTime = 40,
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },
        tEventInfos = 
        {
            {   
                --nMaxCrimeLevel = 3,
                tInfos = {
                    { nPossibility = 30, sEventKey = 'busrescuelvl1_1' },
                    { nPossibility = 35, sEventKey = 'robberylvl3_1' },
                    { nPossibility = 40, sEventKey = 'robberylvl3_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl3_3' },
                },
            },
            {   
                nMaxCrimeLevel = 3,
                tInfos = {
                    { nPossibility = 30, sEventKey = 'busrescuelvl1_1' },
                    { nPossibility = 35, sEventKey = 'robberylvl3_1' },
                    { nPossibility = 40, sEventKey = 'robberylvl3_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl3_3' },
                },
            },
            {   
                nMaxCrimeLevel = 8,
                tInfos = {
                    { nPossibility = 30, sEventKey = 'busrescuelvl1_1' },     
                    { nPossibility = 35, sEventKey = 'robberylvl3_1' },
                    { nPossibility = 50, sEventKey = 'robberylvl3_2' },    
                    { nPossibility = 100, sEventKey = 'robberylvl2_2' },           
                },
            },
            {   
                tInfos = {
                    { nPossibility = 30, sEventKey = 'busrescuelvl1_1' },
                    { nPossibility = 40, sEventKey = 'robberylvl2_4' },
                    { nPossibility = 50, sEventKey = 'robberylvl2_3' },
                    { nPossibility = 60, sEventKey = 'robberylvl2_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl2_1' },
                },
            },
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'boxingmissile1',
                nCrimeLevelToTrigger = 8,
                sEventKey = 'boxingMissile_1',
            },
            {
                sMissionKey = 'boxingmissile2',
                nCrimeLevelToTrigger = 5,
                sEventKey = 'boxingMissile_2',
            },
            {
                sMissionKey = 'boxingmissile3',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'boxingMissile_3',
            },
        },
        tMapUIInfo = { loc = { x = 550, y = -840 }, textSize = 18, buttonInfo = { xScale = 200, yScale = 200, xOffset = -100, yOffset = 50 },  eventIndicatorLocs = { { x = -105, y = -65 }, { x = -250, y = 100 } }, happinessLoc =  { x = -140, y = -20 }, bossPortraitSpriteName = 'map_icon_cranium' },
        sRewardText = "COMM002TEXT",
    },
    BloodBeach = { 
        --tenderloin
        index = 'BloodBeach', 
        name = "AREAS003TEXT", 
        nMaxCrimeLevel = 10, 
        nCurrCrimeLevel = 0, 
        bUnlocked = false, 
        nEventGenTime = 40,  
        nPPChance = 20,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },    
        tEventInfos = 
        { 
            {   
                nMaxCrimeLevel = 3,
                tInfos = {
                    { nPossibility = 30, sEventKey = 'firerescuelvl1_1' },
                    { nPossibility = 35, sEventKey = 'robberylvl4_3' },
                    { nPossibility = 40, sEventKey = 'robberylvl4_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl4_1' },
                },
            },
            {   
                nMaxCrimeLevel = 8,
                tInfos = {
                    { nPossibility = 30, sEventKey = 'firerescuelvl1_1'  },     
                    { nPossibility = 35, sEventKey = 'robberylvl4_1' },
                    { nPossibility = 50, sEventKey = 'robberylvl4_2' },    
                    { nPossibility = 100, sEventKey = 'robberylvl2_4' },           
                },
            },
            {   
                tInfos = {
                    { nPossibility = 30, sEventKey = 'firerescuelvl1_1' },     
                    { nPossibility = 40, sEventKey = 'robberylvl2_4' },    
                    { nPossibility = 100, sEventKey = 'robberylvl2_5' },           
                },
            },
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'robotFoot_1',
                nCrimeLevelToTrigger = 8,
                sEventKey = 'robotFoot_1',
            },
            {
                sMissionKey = 'robotFoot_2',
                nCrimeLevelToTrigger = 4,
                sEventKey = 'robotFoot_2',
            },
            {
                sMissionKey = 'robotFoot_3',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'robotFoot_3',
            }, 
        },
        tMapUIInfo = { loc = { x = 330, y = -515 }, textSize = 18, buttonInfo = { xScale = 240, yScale = 170, xOffset = -100, yOffset = 0 }, eventIndicatorLocs = { { x = -40, y = -30 }, { x = -190, y = -190 } }, happinessLoc ={ x = -100, y = -100 }, bossPortraitSpriteName = 'map_icon_robotfoot' },
        sRewardText = "COMM003TEXT",
    },
    BlightHeights = { 
        index = 'BlightHeights', 
        name = "AREAS004TEXT", 
        nMaxCrimeLevel = 10, 
        nCurrCrimeLevel = 0, 
        bUnlocked = false, 
        nEventGenTime = 40,     
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },
        tEventInfos = 
        { 
            {   
                nMaxCrimeLevel = 3,
                tInfos = {
                    { nPossibility = 30, sEventKey = 'firerescuelvl1_2' },
                    { nPossibility = 35, sEventKey = 'busrescuelvl1_2' },
                    { nPossibility = 40, sEventKey = 'robberylvl5_3' },
                    { nPossibility = 60, sEventKey = 'robberylvl5_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl5_1' },
                },
            },
            {   
                tInfos = {
                    { nPossibility = 30, sEventKey = 'firerescuelvl1_2' },     
                    { nPossibility = 35, sEventKey = 'busrescuelvl1_2' },
                    { nPossibility = 40, sEventKey = 'robberylvl5_3' },
                    { nPossibility = 60, sEventKey = 'robberylvl5_2' },    
                    { nPossibility = 100, sEventKey = 'robberylvl5_1' },           
                },
            },
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'robotFoot_4',
                nCrimeLevelToTrigger = 8,
                sEventKey = 'robotFoot_4',
            },
            {
                sMissionKey = 'robotFoot_5',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'robotFoot_5',
            },
        },
        tMapUIInfo = { loc = { x = 180, y = -260 }, textSize = 18, buttonInfo = { xScale = 180, yScale = 200, xOffset = -80, yOffset = 10 }, eventIndicatorLocs = { { x = -100, y = 30 }, { x = -90, y = -150 } }, happinessLoc = { x = -100, y = -90 }, bossPortraitSpriteName = 'map_icon_robotfoot' },
        sRewardText = "COMM004TEXT",
    },
    BatteryRow = { 
        --dubious docks
        index = 'BatteryRow', 
        name = "AREAS005TEXT", 
        nMaxCrimeLevel = 10, 
        nCurrCrimeLevel = 0, 
        bUnlocked = false, 
        nEventGenTime = 40,     
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        }, 
        tEventInfos = 
        { 
            {   
                nMaxCrimeLevel = 8,
                tInfos = {
                    { nPossibility = 20, sEventKey = 'firerescuelvl1_3' },
                    { nPossibility = 25, sEventKey = 'busrescuelvl1_3' },
                    { nPossibility = 60, sEventKey = 'robberylvl5_5' },
                    { nPossibility = 80, sEventKey = 'robberylvl5_4' },
                    { nPossibility = 100, sEventKey = 'robberylvl5_3' },
                },
            },
            {   
                tInfos = {
                    { nPossibility = 30, sEventKey = 'firerescuelvl1_3' },     
                    { nPossibility = 35, sEventKey = 'busrescuelvl1_3' },
                    { nPossibility = 50, sEventKey = 'robberylvl2_8' },
                    { nPossibility = 60, sEventKey = 'robberylvl2_7' },    
                    { nPossibility = 100, sEventKey = 'robberylvl2_6' },           
                },
            },
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'jailBreak_1',
                nCrimeLevelToTrigger = 8,
                sEventKey = 'jailBreak_1',
            },
            {
                sMissionKey = 'jailBreak_2',
                nCrimeLevelToTrigger = 4,
                sEventKey = 'jailBreak_2',
            },
            {
                sMissionKey = 'jailBreak_3',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'jailBreak_3',
            }, 
        },
        tMapUIInfo = { loc = { x = 530, y = -200 }, textSize = 18, buttonInfo = { xScale = 200, yScale = 200, xOffset = -120, yOffset = 30 }, eventIndicatorLocs = { { x = -110, y = 100 }, { x = -170, y = -90 },  }, happinessLoc = { x = -140, y = -20 }, bossPortraitSpriteName = 'map_icon_skullface' },
        sRewardText = "COMM005TEXT",
     },
     DeadEndDrag = { 
         --assault and battery park
         index = 'DeadEndDrag', 
         name = "AREAS006TEXT", 
         nMaxCrimeLevel = 10, 
         nCurrCrimeLevel = 0, 
         bUnlocked = false, 
         nEventGenTime = 40,  
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },    
         tEventInfos = 
             { 
             {   
                 nMaxCrimeLevel = 8,
                 tInfos = {
                     { nPossibility = 30, sEventKey = 'firerescuelvl1_1' },
                     { nPossibility = 35, sEventKey = 'busrescuelvl1_1' },
                     { nPossibility = 60, sEventKey = 'robberylvl2_6' },
                     { nPossibility = 80, sEventKey = 'robberylvl3_4' },
                     { nPossibility = 100, sEventKey = 'robberylvl3_5' },
                 },
             },
             {   
                 tInfos = {
                     { nPossibility = 20, sEventKey = 'firerescuelvl1_2' },     
                     { nPossibility = 25, sEventKey = 'busrescuelvl1_2' },
                     { nPossibility = 50, sEventKey = 'robberylvl2_8' },
                     { nPossibility = 60, sEventKey = 'robberylvl2_7' },    
                     { nPossibility = 100, sEventKey = 'robberylvl2_6' },           
                 },
             },
         },
         tMissionInfos =
         {
             {
                 sMissionKey = 'portal_1',
                 nCrimeLevelToTrigger = 8,
                 sEventKey = 'portal_1',
             },
             {
                 sMissionKey = 'portal_2',
                 nCrimeLevelToTrigger = 5,
                 sEventKey = 'portal_2',
             },
             {
                 sMissionKey = 'portal_3',
                 nCrimeLevelToTrigger = 1,
                 sEventKey = 'portal_3',
             },
         },
         tMapUIInfo = { loc = { x = 820, y = -25 }, textSize = 18, buttonInfo = { xScale = 220, yScale = 120, xOffset = -20, yOffset = 140 }, eventIndicatorLocs = { { x = -40, y = -90 }, { x = -270, y = -30 } }, happinessLoc = { x = -110, y = -50 }, bossPortraitSpriteName = 'map_icon_cranium' },
         sRewardText = "COMM006TEXT",
    },
    WarehouseDistrict = { 
        --burgled burbs
        index = 'WarehouseDistrict', 
        name = "AREAS008TEXT", 
        nMaxCrimeLevel = 10, 
        nCurrCrimeLevel = 0, 
        bVillainDefeated = false, 
        bUnlocked = false, 
        bHasVillain = false, 
        nClearedXPReward = 50, 
        nClearedCashReward = 200, 
        nClearedPPReward = 30, 
        nEventGenTime = 40,   
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },   
        tEventInfos = 
        {  
            {   
                tInfos ={
                    { nPossibility = 20, sEventKey = 'firerescuelvl1_3' },     
                    { nPossibility = 25, sEventKey = 'busrescuelvl1_3' },
                    { nPossibility = 70, sEventKey = 'robberylvl3_4' },
                    { nPossibility = 80, sEventKey = 'robberylvl3_5' },    
                    { nPossibility = 100, sEventKey = 'robberylvl2_8' },           
                },
            },
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'monsterFoot_1',
                nCrimeLevelToTrigger = 8,
                sEventKey = 'monsterFoot_1',
            },
            {
                sMissionKey = 'monsterFoot_2',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'monsterFoot_2',
            },
        },
        tMapUIInfo = { loc = { x = 740, y = -220 }, textSize = 18, buttonInfo = { xScale = 340, yScale = 120, xOffset = -40, yOffset = 190 }, eventIndicatorLocs = { { x = -100, y = -60 }, { x = 70, y = -90 } }, happinessLoc = { x = -140, y = 0 }, bossPortraitSpriteName = 'map_icon_monsterfoot'  },
        sRewardText = "COMM007TEXT",
    },
    DangerousDocks = { 
        --corruption central
        index = 'DangerousDocks', 
        name = "AREAS007TEXT", 
        nMaxCrimeLevel = 12, 
        nCurrCrimeLevel = 0, 
        bVillainDefeated = false, 
        bUnlocked = false, 
        bHasVillain = false, 
        nClearedXPReward = 50, 
        nClearedCashReward = 200, 
        nClearedPPReward = 30, 
        nEventGenTime = 40,   
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },  
        tEventInfos = 
        { 
            {
                tInfos = {   
                    { nPossibility = 16, sEventKey = 'busrescuelvl1_3', },
                    { nPossibility = 20, sEventKey = 'firerescuelvl1_3' },
                    { nPossibility = 60, sEventKey = 'robberylvl6_4' },
                    { nPossibility = 70, sEventKey = 'robberylvl6_3' },
                    { nPossibility = 80, sEventKey = 'robberylvl6_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl6_1' },
                },
            },
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'clone_1',
                nCrimeLevelToTrigger = 10,
                sEventKey = 'clone_1',
            },
            {
                sMissionKey = 'clone_2',
                nCrimeLevelToTrigger = 8,
                sEventKey = 'clone_2',
            },
            {
                sMissionKey = 'clone_3',
                nCrimeLevelToTrigger = 5,
                sEventKey = 'clone_3',
            },
            {
                sMissionKey = 'clone_4',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'clone_4',
            },
        },
        tMapUIInfo = { loc = { x = 650, y = -395 }, textSize = 18, buttonInfo = { xScale = 220, yScale = 200, xOffset = -80, yOffset = 20 }, eventIndicatorLocs = { { x = -40, y = -10 }, { x = -80, y = -130 } }, happinessLoc = { x = -120, y = -30 }, bossPortraitSpriteName = 'map_icon_skullface' },
        sRewardText = "COMM008TEXT",
    },
    WestDump = { 
        --toxic towers
        index = 'WestDump', 
        name = "AREAS010TEXT", 
        --overrideName = "AREAS011TEXT",
        nMaxCrimeLevel = 14, 
        nCurrCrimeLevel = 0, 
        bVillainDefeated = false, 
        bUnlocked = false, 
        bHasVillain = false, 
        nClearedXPReward = 50, 
        nClearedCashReward = 200, 
        nClearedPPReward = 30, 
        nEventGenTime = 40,  
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },   
        tEventInfos = 
        { 
           {
                nMaxCrimeLevel = 11,
                tInfos = {    
                    { nPossibility = 20, sEventKey = 'busrescuelvl1_3' },
                    { nPossibility = 25, sEventKey = 'firerescuelvl1_3' },
                    { nPossibility = 40, sEventKey = 'alienlvl7_4' },
                    { nPossibility = 100, sEventKey = 'alienlvl7_2' },
                },
            },
            {
                tInfos = {  
                    { nPossibility = 16, sEventKey = 'busrescuelvl1_3', },
                    { nPossibility = 20, sEventKey = 'firerescuelvl1_3' },
                    { nPossibility = 60, sEventKey = 'robberylvl6_4' },
                    { nPossibility = 70, sEventKey = 'robberylvl6_3' },
                    { nPossibility = 80, sEventKey = 'robberylvl6_2' },
                    { nPossibility = 100, sEventKey = 'robberylvl6_1' },
                },
            }, 
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'crowbar_1',
                nCrimeLevelToTrigger = 12,
                sEventKey = 'crowbar_1',
            },
            {
                sMissionKey = 'crowbar_2',
                nCrimeLevelToTrigger = 6,
                sEventKey = 'crowbar_2',
            },
            {
                sMissionKey = 'crowbar_3',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'crowbar_3',
            },

        },
        tMapUIInfo = { loc = { x = 755, y = -610 }, textSize = 18, buttonInfo = { xScale = 200, yScale = 100, xOffset = -100, yOffset = 10 }, eventIndicatorLocs = { { x = 0, y = -70 }, { x = -100, y = -140 }, { x = -180, y = -60 } }, happinessLoc = { x = -70, y = -50 }, bossPortraitSpriteName = 'map_icon_question' },
    },
    EastDump = { 
        --big bad boonies
        index = "EastDump", 
        --overrideName = "AREAS011TEXT",
        name = "AREAS009TEXT", 
        nMaxCrimeLevel = 16, 
        nCurrCrimeLevel = 0, 
        bVillainDefeated = false, 
        bUnlocked = false, 
        bHasVillain = false, 
        nClearedXPReward = 50, 
        nClearedCashReward = 200, 
        nClearedPPReward = 30, 
        nEventGenTime = 40, 
        nPPChance = 25,
        nMaxPP = 2,
        tRewardOverride =
	    {
            PP = 1,
        },     
        tEventInfos = 
        { 
            {
                tInfos = {  
                    { nPossibility = 16, sEventKey = 'busrescuelvl1_3', },
                    { nPossibility = 17, sEventKey = 'firerescuelvl1_3' }, 
                    { nPossibility = 70, sEventKey = 'alienlvl8_3' },
                    { nPossibility = 80, sEventKey = 'alienlvl8_2' },
                    { nPossibility = 100, sEventKey = 'alienlvl8_1' },
                },
            }, 
        },
        tMissionInfos =
        {
            {
                sMissionKey = 'alien_1',
                nCrimeLevelToTrigger = 14,
                sEventKey = 'alien_1',
            },
            {
                sMissionKey = 'alien_2',
                nCrimeLevelToTrigger = 10,
                sEventKey = 'alien_2',
            },
            {
                sMissionKey = 'alien_3',
                nCrimeLevelToTrigger = 5,
                sEventKey = 'alien_3',
            },
            {
                sMissionKey = 'alien_4',
                nCrimeLevelToTrigger = 1,
                sEventKey = 'alien_4',
            },

        },
        tMapUIInfo = { loc = { x = 950, y = -465 }, textSize = 18, buttonInfo = { xScale = 180, yScale = 180, xOffset = -80, yOffset = 0 }, eventIndicatorLocs = { { x = -170, y = -100 }, { x = -60, y = -10 }, { x = -70, y = -200 } }, happinessLoc = { x = -140, y = -20 }, bossPortraitSpriteName = 'map_icon_question' },
    },
    
}