local tPackDefs = {
    -- tutorial pack
    packtut = 
    {
        sName = "HROS004TEXT",
        sDescription = "HROS001TEXT",
        nPPPrice = 10,
		nPackLevel = 1,
		tGuaranteedHeroes =
        {        
        },
		tPossibleHeroes =
		{
            'TestMale01',
            'TestMale01b',
            'TestFemale01',
	    },
		packImg = 'shop_pack_cheap',
        cardBGImg = 'card_default',
    },
    -- cheapo
    packlvl1 = 
    {
        sName = "HROS004TEXT",
        sDescription = "HROS001TEXT",
        sStatDescription = "HROS007TEXT",
        nPPPrice = 10,
		nPackLevel = 1,
        tConditionalHeroes = 
        {
            { sFlagToCheck = 'CosmicCrowbarUnlocked', sCharDef = 'TestMale01d', },
        },
		tGuaranteedHeroes =
        {        
        },
		tPossibleHeroes =
		{
            'TestMale01',
            'TestMale01b',
            'TestMale01c',
            'TestMale02',
            'TestMale02b',
            'TestFemale01',
            'TestFemale02',
            'TestFemale02b',
            'Robot01',
	    },
		packImg = 'shop_pack_cheap',
        cardBGImg = 'card_default',
    },
    packlvl2 = 
    {
        sName = "HROS005TEXT",
        sDescription = "HROS002TEXT",
        sStatDescription = "HROS008TEXT",
        nPPPrice = 20,
		nPackLevel = 2,
        tConditionalHeroes = 
        {
            { sFlagToCheck = 'CosmicCrowbarUnlocked', sCharDef = 'TestMale01d', },
        },
		tGuaranteedHeroes =
        {
        },
		tPossibleHeroes =
		{
            'TestMale01',
            'TestMale01b',
            'TestMale01c',       
            'TestMale02',
            'TestMale02b',
            'TestFemale01',
            'TestFemale02',
            'TestFemale02b',
            'Robot01',
	    },
		packImg = 'shop_pack_average',
        cardBGImg = 'card_silver',
    },
    packlvl3 =
    {
        sName = "HROS006TEXT",
        sDescription = "HROS003TEXT",
        sStatDescription = "HROS009TEXT",
        nPPPrice = 30,
		nPackLevel = 3,
        tConditionalHeroes = 
        {
            { sFlagToCheck = 'CosmicCrowbarUnlocked', sCharDef = 'TestMale01d', },
        },
		tGuaranteedHeroes =
        {
        },
		tPossibleHeroes =
		{
            'TestMale01',
            'TestMale01b',
            'TestMale01c',        
            'TestMale02',
            'TestMale02b',
            'TestFemale01',
            'TestFemale02',
            'TestFemale02b',
            'Robot01',
	    },
		packImg = 'shop_pack_expensive',        
        cardBGImg = 'card_rainbow',
    },
}
local tOrderedList =
{
    'packlvl1',
    'packlvl2',
    'packlvl3',
}
return {
    tList = tOrderedList,
    tDefs = tPackDefs,
}