local tHolidayDefs = 
{
    newYears=
    {
        startDate={month=1, day=1, year=2013},
        endDate={month=1, day=3, year=2013},
        enableProps={
            "newyearballoon2013",
            "newyeardecor3",
            "newyeartable2013",
            "newyearbanner",
        },
    },
    christmas=
    {
        startDate={month=12, day=10, },
        endDate={month=12, day=31, },
        enableProps=
        {
            "xmasgiftboxa",
            "xmasgiftboxb",
            "xmaswreath",
            "xmasstockinga",
            "xmasstockingb",
--            "xmasstockingc",
            "xmastree",
            "xmasdecor4",
        },
    },
    valentines=
    {
        startDate={month=1, day=13, year=2013 },
        endDate={month=3, day=1, year=2013 },
        tCustomUI =
        {
            TerritoryMapUI = 'ValentinesTerritoryMapUI',
        },
        tCustomEventInfo =
        {
            tPostEventScreenThread =
            {
                { 
                    nNumEventsCompl = 0,
                    sThreadName = 'intro',                   
                },
                { 
                    nNumEventsCompl = 15,
                    sThreadName = 'end',                   
                },
            },
            sEventSetName = 'Valentines',
            nMaxConcurrEvents = 1,
            nNumEventsToComplete = 15,
            nOtherEventsToAddEvent = 3,
            tEventInfos =
            {
                {
                    nMinEventsCompl = 14,        
                    tEventKeys =
                    {
                        'valentines4_1',
                    },
                },
                {
                    nMinEventsCompl = 10,        
                    tEventKeys =
                    {
                        'valentines3_1',
                        'valentines3_2',
                        'valentines3_3',
                    },
                },
                {
                    nMinEventsCompl = 5,                    
                    tEventKeys =
                    {
                        'valentines2_1',
                        'valentines2_2',
                        'valentines2_3',
                    },
                },
                {
                    nMinEventsCompl = 0,
                    tEventKeys =
                    {
                        'valentines1_1',
                        'valentines1_2',
                        'valentines1_3',
                    },
                },
            },
        },
        enableProps={
            "valentinesdecor4",
            "valentinesdecor5",
            "valentineheart",
            "valentineballoon",
            "valentinebanner",
            "valentinetable",
        },
    },
}

return tHolidayDefs
