return {
  version = "1.1",
  luaversion = "5.1",
  orientation = "isometric",
  width = 9,
  height = 9,
  tilewidth = 64,
  tileheight = 32,
  properties = {
    ["mmofficecol"] = "10",
    ["mmofficerow"] = "1",
    ["room1col"] = "1",
    ["room1row"] = "10",
    ["room2col"] = "19",
    ["room2row"] = "10"
  },
  tilesets = {
    {
      name = "Walls_Hub",
      firstgid = 1,
      tilewidth = 64,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Walls_Hub.png",
      imagewidth = 512,
      imageheight = 512,
      properties = {},
      tiles = {}
    },
    {
      name = "MM_Door",
      firstgid = 33,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Door.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["animDefFile"] = "Levels/AnimDefs/BaseAnims.lua",
            ["isDoor"] = "true",
            ["sOpenAnim"] = "mmdoor"
          }
        }
      }
    },
    {
      name = "MM_Window",
      firstgid = 34,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Window.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "MM_Window2",
      firstgid = 35,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Window2.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Tiles_BaseInt",
      firstgid = 36,
      tilewidth = 64,
      tileheight = 32,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Tiles_BaseInt.png",
      imagewidth = 256,
      imageheight = 256,
      properties = {},
      tiles = {}
    },
    {
      name = "Door",
      firstgid = 68,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Door.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["animDefFile"] = "Levels/AnimDefs/BaseAnims.lua",
            ["isDoor"] = "true",
            ["sOpenAnim"] = "dooropenclose"
          }
        }
      }
    },
    {
      name = "Hub_Cactus",
      firstgid = 69,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Cactus.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_BulletinBoard",
      firstgid = 70,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_BulletinBoard.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "bboard"
          }
        }
      }
    },
    {
      name = "Hub_Chart",
      firstgid = 71,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Chart.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Flagpole",
      firstgid = 72,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Flagpole.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Portrait",
      firstgid = 73,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Portrait.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Balloon",
      firstgid = 74,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Balloon.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsballoon"
          }
        }
      }
    },
    {
      name = "Hub_Congratulations",
      firstgid = 75,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Congratulations.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsbanner"
          }
        }
      }
    },
    {
      name = "Hub_Decor",
      firstgid = 76,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsdecor"
          }
        }
      }
    },
    {
      name = "Hub_Decor2",
      firstgid = 77,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor2.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsdecor2"
          }
        }
      }
    },
    {
      name = "Hub_Plant",
      firstgid = 78,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Plant.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_CakeTable",
      firstgid = 79,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_CakeTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationscaketable"
          }
        }
      }
    },
    {
      name = "Cubes_GarbageCan",
      firstgid = 80,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Cubes_GarbageCan.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_ChristmasTree",
      firstgid = 81,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasTree.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmastree"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasGiftboxA",
      firstgid = 82,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasGiftboxA.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasgiftboxa"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasGiftboxB",
      firstgid = 83,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasGiftboxB.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasgiftboxb"
          }
        }
      }
    },
    {
      name = "Hub_Decor4_Christmas",
      firstgid = 84,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor4_Christmas.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasdecor4"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasStockingC",
      firstgid = 85,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasStockingC.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasstockingc"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasStockingB",
      firstgid = 86,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasStockingB.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasstockingb"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasOrnament",
      firstgid = 87,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasOrnament.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmaswreath"
          }
        }
      }
    },
    {
      name = "Hub_2013Balloon",
      firstgid = 88,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_2013Balloon.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyearballoon2013"
          }
        }
      }
    },
    {
      name = "Hub_NewYearTable",
      firstgid = 89,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_NewYearTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyeartable2013"
          }
        }
      }
    },
    {
      name = "Hub_Decor3_NewYear",
      firstgid = 90,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor3_NewYear.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyeardecor3"
          }
        }
      }
    },
    {
      name = "Hub_HappyNewYear",
      firstgid = 91,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_HappyNewYear.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyearbanner"
          }
        }
      }
    },
    {
      name = "Hub_ValentineBalloon",
      firstgid = 92,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ValentineBalloon.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentineballoon"
          }
        }
      }
    },
    {
      name = "Hub_Decor4_Valentine",
      firstgid = 93,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor4_Valentine.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinesdecor4"
          }
        }
      }
    },
    {
      name = "Hub_ValentineDay",
      firstgid = 94,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ValentineDay.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinebanner"
          }
        }
      }
    },
    {
      name = "Hub_ValentineTable",
      firstgid = 95,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ValentineTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinetable"
          }
        }
      }
    },
    {
      name = "Hub_Decor5_Valentine",
      firstgid = 96,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor5_Valentine.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinesdecor5"
          }
        }
      }
    },
    {
      name = "Hub_Heart_Valentine",
      firstgid = 97,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Heart_Valentine.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentineheart"
          }
        }
      }
    },
    {
      name = "Hub_PizzaTable",
      firstgid = 98,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_PizzaTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "pizzatable"
          }
        }
      }
    },
    {
      name = "Hub_WantedPoster",
      firstgid = 99,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_WantedPoster.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "mostwantedposter"
          }
        }
      }
    }
  },
  layers = {
    {
      type = "tilelayer",
      name = "Base tiles",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["creategrid"] = "true",
        ["type"] = "floortiles"
      },
      encoding = "lua",
      data = {
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36,
        36, 36, 36, 36, 36, 36, 36, 36, 36
      }
    },
    {
      type = "tilelayer",
      name = "Walls",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "walls"
      },
      encoding = "lua",
      data = {
        5, 2, 2, 12, 10, 2, 2, 2, 2,
        1, 0, 0, 0, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 0,
        11, 0, 0, 0, 0, 0, 0, 0, 0,
        7, 0, 0, 0, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Windows",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 34, 0, 0, 0, 0, 35, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Props",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 34, 0, 0, 0, 0, 35, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        70, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        73, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Decoration1",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 76, 0, 0, 0, 0, 77, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ValentineDayProps3",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 93, 0, 0, 0, 0, 93, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Props2",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        72, 0, 0, 0, 0, 0, 0, 72, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "WantedPoster",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        99, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Props3",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        80, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Door_MM",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 33, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Door",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        68, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Decoration2",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 75, 0, 0, 0, 0, 0,
        0, 74, 0, 0, 0, 0, 74, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ChristmasProps1",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 85, 0, 0, 0, 0,
        81, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ChristmasProps2",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 84, 84, 0, 84, 0, 84, 84, 84,
        0, 0, 83, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 82, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "NewYearProps1",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 88, 0, 0, 0, 0, 88, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 89, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "NewYearProps2",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 90, 90, 0, 0, 0, 90, 90, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "NewYearProps3",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 91, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ValentineDayProps1",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 92, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ValentineDayProps2",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 95, 94, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        96, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "CakeTable",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 79, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "PizzaTable",
      x = 0,
      y = 0,
      width = 9,
      height = 9,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 98, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    }
  }
}
