return {
  version = "1.1",
  luaversion = "5.1",
  orientation = "isometric",
  width = 9,
  height = 18,
  tilewidth = 64,
  tileheight = 32,
  properties = {
    ["mmofficecol"] = "10",
    ["mmofficerow"] = "1",
    ["room1col"] = "1",
    ["room1row"] = "10",
    ["room2col"] = "19",
    ["room2row"] = "10"
  },
  tilesets = {
    {
      name = "MM_Window",
      firstgid = 1,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Window.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "MM_Window2",
      firstgid = 2,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Window2.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "MM_Door",
      firstgid = 3,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Door.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["animDefFile"] = "Levels/AnimDefs/BaseAnims.lua",
            ["isDoor"] = "true",
            ["sOpenAnim"] = "mmdoor"
          }
        }
      }
    },
    {
      name = "MM_Door",
      firstgid = 4,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Door.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "MM_Door",
      firstgid = 5,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/MM_Door.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Door",
      firstgid = 6,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Door.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["animDefFile"] = "Levels/AnimDefs/BaseAnims.lua",
            ["isDoor"] = "true",
            ["sOpenAnim"] = "dooropenclose"
          }
        }
      }
    },
    {
      name = "Hub_Portrait",
      firstgid = 7,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Portrait.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_BulletinBoard",
      firstgid = 8,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_BulletinBoard.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "bboard"
          }
        }
      }
    },
    {
      name = "Hub_Flagpole",
      firstgid = 9,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Flagpole.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Cubes_Flyer02",
      firstgid = 10,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Cubes_Flyer02.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Chart",
      firstgid = 11,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Chart.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Canteen_VendingMachine2",
      firstgid = 12,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Canteen_VendingMachine2.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Canteen_WaterCooler",
      firstgid = 13,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Canteen_WaterCooler.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Cactus",
      firstgid = 14,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Cactus.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Tiles_BaseInt",
      firstgid = 15,
      tilewidth = 64,
      tileheight = 32,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Tiles_BaseInt.png",
      imagewidth = 256,
      imageheight = 256,
      properties = {},
      tiles = {}
    },
    {
      name = "Walls_Hub_Lvl3",
      firstgid = 47,
      tilewidth = 64,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Walls_Hub_Lvl3.png",
      imagewidth = 512,
      imageheight = 512,
      properties = {},
      tiles = {}
    },
    {
      name = "Walls_Hub",
      firstgid = 79,
      tilewidth = 64,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Walls_Hub.png",
      imagewidth = 512,
      imageheight = 512,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Decor",
      firstgid = 111,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsdecor"
          }
        }
      }
    },
    {
      name = "Hub_Decor2",
      firstgid = 112,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor2.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsdecor2"
          }
        }
      }
    },
    {
      name = "Hub_Congratulations",
      firstgid = 113,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Congratulations.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsbanner"
          }
        }
      }
    },
    {
      name = "Hub_Balloon",
      firstgid = 114,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Balloon.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationsballoon"
          }
        }
      }
    },
    {
      name = "Hub_Plant",
      firstgid = 115,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Plant.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Recycling",
      firstgid = 116,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Recycling.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_Seat",
      firstgid = 117,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Seat.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_CakeTable",
      firstgid = 118,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_CakeTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "congratulationscaketable"
          }
        }
      }
    },
    {
      name = "Cubes_GarbageCan",
      firstgid = 119,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Cubes_GarbageCan.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {}
    },
    {
      name = "Hub_ChristmasTree",
      firstgid = 120,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasTree.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmastree"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasStockingC",
      firstgid = 121,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasStockingC.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasstockingc"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasOrnament",
      firstgid = 122,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasOrnament.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmaswreath"
          }
        }
      }
    },
    {
      name = "Hub_Decor4_Christmas",
      firstgid = 123,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor4_Christmas.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasdecor4"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasStockingB",
      firstgid = 124,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasStockingB.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasstockingb"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasStockingA",
      firstgid = 125,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasStockingA.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasstockinga"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasGiftboxB",
      firstgid = 126,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasGiftboxB.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasgiftboxb"
          }
        }
      }
    },
    {
      name = "Hub_ChristmasGiftboxA",
      firstgid = 127,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ChristmasGiftboxA.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "xmasgiftboxa"
          }
        }
      }
    },
    {
      name = "Hub_2013Balloon",
      firstgid = 128,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_2013Balloon.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyearballoon2013"
          }
        }
      }
    },
    {
      name = "Hub_NewYearTable",
      firstgid = 129,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_NewYearTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyeartable2013"
          }
        }
      }
    },
    {
      name = "Hub_Decor3_NewYear",
      firstgid = 130,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor3_NewYear.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyeardecor3"
          }
        }
      }
    },
    {
      name = "Hub_HappyNewYear",
      firstgid = 131,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_HappyNewYear.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "newyearbanner"
          }
        }
      }
    },
    {
      name = "Hub_ValentineBalloon",
      firstgid = 132,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ValentineBalloon.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentineballoon"
          }
        }
      }
    },
    {
      name = "Hub_Decor4_Valentine",
      firstgid = 133,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor4_Valentine.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinesdecor4"
          }
        }
      }
    },
    {
      name = "Hub_Heart_Valentine",
      firstgid = 134,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Heart_Valentine.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentineheart"
          }
        }
      }
    },
    {
      name = "Hub_Decor5_Valentine",
      firstgid = 135,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_Decor5_Valentine.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinesdecor5"
          }
        }
      }
    },
    {
      name = "Hub_ValentineTable",
      firstgid = 136,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ValentineTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinetable"
          }
        }
      }
    },
    {
      name = "Hub_ValentineDay",
      firstgid = 137,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_ValentineDay.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "valentinebanner"
          }
        }
      }
    },
    {
      name = "Hub_PizzaTable",
      firstgid = 138,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_PizzaTable.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "pizzatable"
          }
        }
      }
    },
    {
      name = "Hub_WantedPoster",
      firstgid = 139,
      tilewidth = 128,
      tileheight = 128,
      spacing = 0,
      margin = 0,
      image = "../../Unmunged/Levels/Tilesets/TiledTilesets/Hub_WantedPoster.png",
      imagewidth = 128,
      imageheight = 128,
      properties = {},
      tiles = {
        {
          id = 0,
          properties = {
            ["proptype"] = "mostwantedposter"
          }
        }
      }
    }
  },
  layers = {
    {
      type = "tilelayer",
      name = "Base tiles",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["creategrid"] = "true",
        ["type"] = "floortiles"
      },
      encoding = "lua",
      data = {
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15,
        15, 15, 15, 15, 15, 15, 15, 15, 15
      }
    },
    {
      type = "tilelayer",
      name = "Walls",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "walls"
      },
      encoding = "lua",
      data = {
        83, 80, 80, 90, 88, 80, 80, 80, 80,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        89, 0, 0, 0, 0, 0, 0, 0, 0,
        85, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0,
        89, 0, 0, 0, 0, 0, 0, 0, 0,
        85, 0, 0, 0, 0, 0, 0, 0, 0,
        79, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Props",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 1, 0, 0, 0, 0, 2, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        8, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        7, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        11, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Decoration1",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 111, 0, 0, 0, 0, 112, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ValentineDayProps3",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 133, 0, 0, 0, 0, 133, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ChristmasProps3",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        124, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        125, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Props2",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        9, 0, 0, 0, 0, 0, 0, 9, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        117, 0, 0, 0, 0, 0, 0, 0, 0,
        115, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        12, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "WantedPoster",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        139, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        12, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Props3",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        119, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        116, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Door_MM",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 3, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Door",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        6, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Door2",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        6, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "Decoration2",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 113, 0, 0, 0, 0, 0,
        0, 114, 0, 0, 0, 0, 114, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ChristmasProps1",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 121, 0, 0, 0, 0,
        120, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ChristmasProps2",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 123, 123, 0, 123, 0, 123, 123, 123,
        0, 0, 126, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 127, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        122, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "NewYearProps1",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 128, 0, 0, 0, 0, 128, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 129, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "NewYearProps2",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 130, 130, 0, 0, 0, 130, 130, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "NewYearProps3",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 131, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ValentineDayProps1",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 132, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "ValentineDayProps2",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 136, 137, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        135, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        135, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "CakeTable",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 118, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    },
    {
      type = "tilelayer",
      name = "PizzaTable",
      x = 0,
      y = 0,
      width = 9,
      height = 18,
      visible = true,
      opacity = 1,
      properties = {
        ["type"] = "props"
      },
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 138, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0
      }
    }
  }
}
