local util = require("DFUtil")
local Task = require("Task")
local DFMath = require("DFCommon.Math")

local WalkToTask = {}

kTIMESTEP = 0.03

function WalkToTask:new(rActivity, sName)
	local Ob = Task:new(rActivity, sName)
	Ob.rCharacter = rActivity.rHero

	function Ob:WalkToTile(targRow, targCol, bTeleport, nXOffset, nYOffset)
        self.rCharacter:WalkToTile(targRow, targCol, bTeleport, nXOffset, nYOffset)
	end

	return Ob
end

return WalkToTask