local RobberyEvent = require('event/RobberyEvent')
local Character = require('Character')
local util = require('DFUtil')
--[[
local function henchmanRecruitEvent1(self)
    local tHeroActors = self:getAllHeroActors()
    self:moveAllHeroesToSlot(tHeroActors, true)

    -- setup enemy
    local tEnemies = self:getAllEventEnemies()
    -- snap the henchman to the slots
    self:moveAllEnemiesToSlot(tEnemies, true)

    local rCitizen = self:getActor("Citizen")   
    -- setup extra actors
    -- hack hack until we actually set these guys up as actors
    local bCitiFlipX = false
    if rCitizen.rDef == Character.tOtherActorDefinitions.CitiGirl then
        bCitiFlipX = true
    end
    rCitizen:playAnimation("threathened_breathe", bCitiFlipX, false)
    self:snapActorToSlot("CitizenLocs", rCitizen)
    rCitizen:insertIntoLayer(self.rLayer)
    
    tEnemies[1]:insertIntoLayer(self.rLayer)
    tEnemies[1]:playAnimation("breathe", true, false)

    tEnemies[2]:insertIntoLayer(self.rLayer)
    tEnemies[2]:playAnimation("breathe", false, false)
    
    tEnemies[2]:sayLine("HNRT001GHMN", 'upper', true, true)
    tEnemies[2]:playAnimation("threathen_breathe", false, false)
    tEnemies[2]:sayLine("HNRT002GHMN", 'upper', true, false)

    tEnemies[1]:sayLine("HNRT003GTHG", 'upper', true, true)

    for i, rHeroActor in ipairs(tHeroActors) do
        util.sleep(math.random(0.1, 0.3))
        rHeroActor:insertIntoLayer(self.rLayer)	            
        rHeroActor:enter(true)
    end

    -- clear out the dialog
    g_GUI:HideDialogText()
    
    local rSpeakingActor = tHeroActors[math.random(table.getn(tHeroActors))]
    rSpeakingActor:sayLineFromDialogset("HeroRobberyEntrance", 'upper', true, true)

    -- clear out the dialog
    g_GUI:HideDialogText()

    tEnemies[1]:playAnimation("hero_entrance_react", true, false, true)
    
    rCitizen:playAnimation("watch_fight", bCitiFlipX, false)

    -- fight!
    local tHeroes = tHeroActors
    local tEnemyWaves = { tEnemies }       
    local tCitizens = { rCitizen }

    local bSuccessful, tAliveHeroes, tAliveEnemies, tAliveCitizens = self:fightThread(tHeroes, tEnemyWaves, tCitizens)
    if bSuccessful then
        self:playPlayerWonSequence(tAliveHeroes, tAliveCitizens)
    else
        self:playPlayerLostSequence(tAliveEnemies, tAliveCitizens)
    end
    self:setSuccessful(bSuccessful)
    
    g_eventManager:endEvent(self)
end

local function henchmanRecruitEvent2(self)
    local tHeroActors = self:getAllHeroActors()
    self:moveAllHeroesToSlot(tHeroActors, true)

    -- setup enemy
    local tEnemies = self:getAllEventEnemies()
    -- snap the henchman to the slots
    self:moveAllEnemiesToSlot(tEnemies, true)

    local rCitizen = self:getActor("Citizen")   
    -- setup extra actors
    -- hack hack until we actually set these guys up as actors
    local bCitiFlipX = false
    if rCitizen.rDef == Character.tOtherActorDefinitions.CitiGirl then
        bCitiFlipX = true
    end
    rCitizen:playAnimation("threathened_breathe", bCitiFlipX, false)
    self:snapActorToSlot("CitizenLocs", rCitizen)
    rCitizen:insertIntoLayer(self.rLayer)
    
    tEnemies[1]:insertIntoLayer(self.rLayer)
    tEnemies[1]:playAnimation("breathe", true, false)

    tEnemies[2]:insertIntoLayer(self.rLayer)
    tEnemies[2]:playAnimation("breathe", false, false)
    
    tEnemies[2]:sayLine("HNR2001GHMN", 'upper', true, false)
    tEnemies[1]:sayLine("HNR2002GTHG", 'upper', true, true)

    for i, rHeroActor in ipairs(tHeroActors) do
        util.sleep(math.random(0.1, 0.3))
        rHeroActor:insertIntoLayer(self.rLayer)	            
        rHeroActor:enter(true)
    end

    -- clear out the dialog
    g_GUI:HideDialogText()
    
    local rSpeakingActor = tHeroActors[math.random(table.getn(tHeroActors))]
    rSpeakingActor:sayLineFromDialogset("HeroRobberyEntrance", 'upper', true, true)

    -- clear out the dialog
    g_GUI:HideDialogText()

    tEnemies[1]:playAnimation("hero_entrance_react", true, false, true)
    
    rCitizen:playAnimation("watch_fight", bCitiFlipX, false)

    -- fight!
    local tHeroes = tHeroActors
    local tEnemyWaves = { tEnemies }       
    local tCitizens = { rCitizen }
    
    local bSuccessful, tAliveHeroes, tAliveEnemies, tAliveCitizens = self:fightThread(tHeroes, tEnemyWaves, tCitizens)
    if bSuccessful then
        self:playPlayerWonSequence(tAliveHeroes, tAliveCitizens)
    else
        self:playPlayerLostSequence(tAliveEnemies, tAliveCitizens)
    end
    self:setSuccessful(bSuccessful)    
    
    g_eventManager:endEvent(self)
end

local function henchmanRecruitEvent3(self)
    -- add the truck
    local rEventBG = self:getEventBG()
    if rEventBG then
        rEventBG:addBGProp('CombatProps/Truck_Money', 'TruckLocs')
    end

    local tHeroActors = self:getAllHeroActors()
    self:moveAllHeroesToSlot(tHeroActors, true)

    -- setup enemy
    local tEnemies = self:getAllEventEnemies()
    -- snap the henchman to the slots
    self:moveAllEnemiesToSlot(tEnemies, true)

    local rCitizen = self:getActor("Citizen")   
    -- setup extra actors
    -- hack hack until we actually set these guys up as actors
    local bCitiFlipX = false
    if rCitizen.rDef == Character.tOtherActorDefinitions.CitiGirl then
        bCitiFlipX = true
    end
    rCitizen:playAnimation("threathened_breathe", bCitiFlipX, false)
    self:snapActorToSlot("CitizenLocs", rCitizen)
    rCitizen:insertIntoLayer(self.rLayer)
    
    tEnemies[1]:insertIntoLayer(self.rLayer)
    tEnemies[1]:playAnimation("threathen_breathe", true, false)

    tEnemies[2]:insertIntoLayer(self.rLayer)
    tEnemies[2]:playAnimation("threathen_breathe", true, false)
    
    tEnemies[2]:sayLine("HNR3001GHMN", 'upper', true, false)
    tEnemies[1]:sayLine("HNR3002GHMN", 'upper', true, true)

    for i, rHeroActor in ipairs(tHeroActors) do
        util.sleep(math.random(0.1, 0.3))
        rHeroActor:insertIntoLayer(self.rLayer)	            
        rHeroActor:enter(true)
    end

    -- clear out the dialog
    g_GUI:HideDialogText()
    
    local rSpeakingActor = tHeroActors[math.random(table.getn(tHeroActors))]
    rSpeakingActor:sayLineFromDialogset("HeroRobberyEntrance", 'upper', true, true)

    -- clear out the dialog
    g_GUI:HideDialogText()

    tEnemies[1]:playAnimation("hero_entrance_react", true, false, false)
    util.sleep(0.25)
    tEnemies[2]:playAnimation("hero_entrance_react", true, false, false)

    rCitizen:playAnimation("watch_fight", bCitiFlipX, false)

    -- fight!
    local tHeroes = tHeroActors
    local tEnemyWaves = { tEnemies }       
    local tCitizens = { rCitizen }
    
    local bSuccessful, tAliveHeroes, tAliveEnemies, tAliveCitizens = self:fightThread(tHeroes, tEnemyWaves, tCitizens)
    if bSuccessful then
        self:playPlayerWonSequence(tAliveHeroes, tAliveCitizens)
    else
        self:playPlayerLostSequence(tAliveEnemies, tAliveCitizens)
    end
    self:setSuccessful(bSuccessful)
    
    g_eventManager:endEvent(self)
end

local function henchmanRecruitEvent4(self)
    local tHeroActors = self:getAllHeroActors()
    self:moveAllHeroesToSlot(tHeroActors, true)

    -- setup enemy
    local tEnemies = self:getAllEventEnemies()
    -- snap the henchman to the slots
    self:moveAllEnemiesToSlot(tEnemies, true)

    local rVillain = self:getActor("Villain")
    -- setup extra actors
    rVillain:playAnimation("fight_breathe", false, false)
    self:snapActorToSlot("CitizenLocs", rVillain)
    rVillain:insertIntoLayer(self.rLayer)
    
    tEnemies[1]:insertIntoLayer(self.rLayer)
    tEnemies[1]:playAnimation("breathe", true, false)

    tEnemies[2]:insertIntoLayer(self.rLayer)
    tEnemies[2]:playAnimation("breathe", true, false)

    rVillain:sayLine("HNR4001VIL1", 'upper', true, true)
    rVillain:sayLine("HNR4002VIL1", 'upper', true, false)

    for i, rHeroActor in ipairs(tHeroActors) do
        util.sleep(math.random(0.1, 0.3))
        rHeroActor:insertIntoLayer(self.rLayer)	            
        rHeroActor:enter(true)
    end

    -- clear out the dialog
    g_GUI:HideDialogText()
    
    local rSpeakingActor = tHeroActors[math.random(table.getn(tHeroActors))]
    rSpeakingActor:sayLine("HNR4003GHRO", 'upper', true, true)
    rVillain:sayLine("HNR4004VIL1", 'upper', true, false)    

    local x, y = rVillain:getLoc()
    rVillain:playAnimation("cheer", false, false, false)
    tEnemies[1]:playAnimation("hero_entrance_react", true, false, false)
    util.sleep(0.1)
    tEnemies[2]:playAnimation("hero_entrance_react", true, false, false)
    util.sleep(0.25)

    -- clear out the dialog
    g_GUI:HideDialogText()
    
    -- fight!
    local tHeroes = tHeroActors
    local tEnemyWaves = { tEnemies }       
    local tCitizens = { }
    
    local bSuccessful, tAliveHeroes = self:fightThread(tHeroes, tEnemyWaves, tCitizens)
    if bSuccessful then
        rVillain:playAnimation("fight_breathe", false, false, false)
        rVillain:sayLine("HNR4005VIL1", 'upper', true, true)
        g_GUI:HideDialogText()
        bSuccessful, tAliveHeroes, tAliveEnemies, tAliveCitizens = self:fightThread(tAliveHeroes, {  { rVillain } }, tCitizens)
    end
    if bSuccessful then
        self:playPlayerWonSequence(tAliveHeroes, tAliveCitizens)
    else
        self:playPlayerLostSequence(tAliveEnemies, tAliveCitizens)
    end

    self:setSuccessful(bSuccessful)
    
    g_eventManager:endEvent(self)
end

local MissionDef =
{
    tEvents =
    {
        {   
            nLevel = 1,
            bgDefFile = "Street.lua",
            tActors =
            {
                Enemy1 = { rCharDef = Character.tHenchmanDefinitions.ThugLvl1, },
                Enemy2 = { rCharDef = Character.tHenchmanDefinitions.HenchmanRangedLvl1, },
                Citizen = { rCharDef = Character.tOtherActorDefinitions.CitiGirl, },
            },
            constructorFncn = RobberyEvent.new,
            eventThreadFncn = henchmanRecruitEvent1,
            Rewards =
            {
                WinXP = 2,
                MaxCash = 20,
            },
        },      
        {   
            nLevel = 1,
            bgDefFile = "Street.lua",
            tActors =
            {
                Enemy1 = { rCharDef = Character.tHenchmanDefinitions.ThugLvl1, },
                Enemy2 = { rCharDef = Character.tHenchmanDefinitions.HenchmanRangedLvl1, },
                Citizen = { rCharDef = Character.tOtherActorDefinitions.CitiMan, },
            },
            constructorFncn = RobberyEvent.new,
            eventThreadFncn = henchmanRecruitEvent2,
            Rewards =
            {
                WinXP = 2,
                MaxCash = 20,
            },
        },  
        {   
            nLevel = 1,
            bgDefFile = "Street.lua",
            tActors =
            {
                Enemy1 = { rCharDef = Character.tHenchmanDefinitions.HenchmanRangedLvl1 },
                Enemy2 = { rCharDef = Character.tHenchmanDefinitions.HenchmanRangedLvl1, },
                Citizen = { rCharDef = Character.tOtherActorDefinitions.SecurityGuard, },
            },
            constructorFncn = RobberyEvent.new,
            eventThreadFncn = henchmanRecruitEvent3,
            Rewards =
            {
                WinXP = 2,
                MaxCash = 20,
            },
        },  
        {   
            nLevel = 1,
            bgDefFile = "Street.lua",
            tActors =
            {
                Enemy1 = { rCharDef = Character.tHenchmanDefinitions.HenchmanRangedLvl1 },
                Enemy2 = { rCharDef = Character.tHenchmanDefinitions.HenchmanRangedLvl1, },
                Villain = { rCharDef = Character.tVillainDefinitions.SkullFaceLvl1, },
            },
            constructorFncn = RobberyEvent.new,
            eventThreadFncn = henchmanRecruitEvent4,
            Rewards =
            {
                WinXP = 2,
                MaxCash = 20,
                MaxPP = 5,
            },
        },  
    },      
}
]]--
local MissionDef = {}
return MissionDef