local Mission = {}

function Mission:new(rDef, rTerritory, tSaved)
    Ob = {}
    Ob.__typename = "Mission"
    Ob.rDef = rDef
    Ob.tSaved = tSaved
    if not Ob.tSaved.nEventIndex then
        Ob.tSaved.nEventIndex = 0
    end
    Ob.rTerritory = rTerritory

    function Ob:getNextEventDef()
        self.tSaved.nEventIndex = self.tSaved.nEventIndex + 1
        local rDef = self.rDef.tEvents[self.tSaved.nEventIndex]
        if rDef then
            return rDef
        end
        return nil
    end

    function Ob:onEventSuccessful(rEvent)
        if self.tSaved.nEventIndex >= table.getn(self.rDef.tEvents) then
            self.rTerritory:onMissionCompleted(self)
        end
    end

    return Ob
end

return Mission